function checkFavorites(nid) {
	//favorites1 = localStorage.getItem('favorites' + window.uuid);
	favorites1 = localStorage.getItem('webFavorites' + window.uuid);
	if (favorites1 == undefined) {
		return undefined;
	} else {
		favorites2 = JSON.parse(favorites1);
		favList = favorites2.terms;
		for (var i = 0; i < favList.length; i++) {
			favArticle = favList[i];

			if (nid == favArticle.name) {
				return true;
			} else {}
		}
		return false;
	}
}

function addToFavorites() {

//trigger Piwik favorited event
_paq.push(['trackPageView', '/event/favorite_article']);

	nid = $('#storyDetail').attr('nid');
	//favorites = localStorage.getItem('favorites' + window.uuid);
	favorites = localStorage.getItem('webFavorites' + window.uuid);
	checkedFav = checkFavorites(nid);
	if (checkedFav == undefined || checkedFav == false) {
		$('#favoritesContainer').attr('counter', '-1');
		//$('#custom_header_share a.newButtons img').attr('src', 'images/Light/favSelected.png');
		$('#custom_header_share a.newButtons.favStar').removeClass('favNot');
		$('#custom_header_share a.newButtons.favStar').addClass('favYes');
		
		$('#custom_header_share a.newButtons').attr('onclick', 'removeToFavorites()');
		if (favorites == undefined) {
			var addition = {
				'name': nid,
				'link': $('#' + nid).html()
			};
			var favoritesParsed = {
				'name': 'Favorites',
				'terms': [addition]
			};
			localStorage.setItem('favorites' + window.uuid, JSON.stringify(favoritesParsed));
		} else {
			favoritesParsed = JSON.parse(favorites);
			var addition = {
				'name': nid,
				'link': $('#' + nid).html()
			};
			favoritesParsed.terms.push(addition);
			localStorage.setItem('favorites' + window.uuid, JSON.stringify(favoritesParsed));
		}
	}
}

function share(){
	//piwik share alert
	_paq.push(['trackPageView', '/event/share_article']);

	try {
		var title = window.titleArticle;
		var url = "";
		var utm= 	"?utm_source=" + escape( window.uuid + 'share'); //escape( window.appType+"App" );
		utm += 		"&utm_medium=" + escape( window.appType+'App' );//escape( (window.pharmacyName!== undefined ?  window.pharmacyName : window.appType)  );
		utm +=		"&utm_campaign=" + escape(window.callos );
		if (window.appType == 'rxwiki'||window.appType == 'dailyrx'){
			url = "http://" + window.appType + ".com/node/" + window.realuuid + utm;
		}
		else {
			url = "http://1-800-" + window.appType + ".com/node/" + window.realuuid + utm;
		}


		//it's confusing that the title property doesn't get the title variable, but title is used
		//for the filename in the share survey
		var source = "";
		if(window.appType == "dailyrx"){
			source = " from dailyRx";
		} else if (window.appType == "rxwiki"){
			source = " from RxWiki";
		}

		var storyObj = {
			'title' : "unused",
			'content' :  url + "\n\nGet the latest medication and healthcare news on your smartphone.  Click here to download:\n\n" + window.appShareLink[window.callos][window.appType]	
,
			'action' : "unused",
			'emailCopy' : title,
			'subject' : "Check out this article" + source
		}
	    MyPlugin.worker.share(JSON.stringify(storyObj));

	    //MyPlugin.worker.share(title , url);
	    MyPlugin.worker.sendEvent('news-features', 'share',  window.realuuid , 1);
	}catch(err) {
		console.error("Error sharing article \n" + err);
	}
}

function loadFavorites() {
	//var favorites = localStorage.getItem('favorites' + window.uuid);
	var favorites = localStorage.getItem('webFavorites' + window.uuid);
	window.referrer = 'favorites';
	hideAd();
	$.ui.clearHistory();
	//*
	if ($('#favoritesContainer').attr('counter') == '-1') {
		if (favorites == undefined) {
			var favList = undefined;
		} else {
			favoritesParsed = JSON.parse(favorites);
			//favList = favoritesParsed.terms;
			favList = favoritesParsed;
		}
		if (favList == undefined) {
			window.favEmpty = 1;
		} else if (favList.length == 0) {
			window.favEmpty = 1;
		}
		if (window.favEmpty == 1) {
			switchTopic();
		} else {
			switchArticle();
		}
	} else {
		if (window.favEmpty == 1) {
			switchTopic();
		} else {
			switchArticle();
		}
	}
	//*/
	//switchArticle();
	$("#favEditButton").html("Edit");
	window.favEdit = 0;
}

function removeToFavorites() {

	nid = $('#storyDetail').attr('nid');
	favorites1 = localStorage.getItem('favorites' + window.uuid);
	if (favorites1 == undefined) {
		return undefined;
	} else {
		favorites2 = JSON.parse(favorites1);
		favList = favorites2.terms;
		for (var i = 0; i < favList.length; i++) {
			favArticle = favList[i];
			if (nid == favArticle.name) {
				favList.splice(i, 1);
				$('#favoritesContainer').attr('counter', '-1');
				//$('#header div a.newButtons img').attr('src', 'images/Light/favNot.png');
				$('#custom_header_share a.newButtons.favStar').removeClass('favYes');
				$('#header div a.newButtons.favStar').addClass('favNot');
				$('#header div a.newButtons').attr('onclick', 'addToFavorites()');
				favorites2.terms = favList;
				localStorage.setItem('favorites' + window.uuid, JSON.stringify(favorites2));

			} else {}
		}
	}
	$('#favoritesContainer').attr('counter', '-1');
}

function checkFavTerms() {
	favoriteSettings = localStorage.getItem('favTerms' + window.uuid);
	favTerms = JSON.parse(favoriteSettings);
	$.each(favTerms.favterms, function(i, favdata) {
		if (favdata.display == false) {
			$('#term' + favdata.stid).hide();
		}
	});
	favTerms = '';favoriteSettings='';
}

function loadFavTerms() {
	favoriteSettings = localStorage.getItem('favTerms' + window.uuid);
	if (favoriteSettings == undefined) {
		var url = "http://" + window.finalURL + "/pcmi_services/" + window.finalLocation + "/vocab";
		var favTerms1 = {
			"favterms": []
		};
		$.getJSON(url, function(tjson) {
			var stats = sortAlpha(tjson);
			$.each(stats, function(i, sdata) {
				if (filterConditions(sdata.term.name) == true) {
					sTid = sdata.term.uuid;
					sName = sdata.term.name;
					favoritesList = favTerms1.favterms;
					var termListing = {
						'name': sName,
						'stid': sTid,
						'tid': sdata.term.tid,
						'display': true
					};
					favTerms1.favterms.push(termListing);
				}
			});
			localStorage.setItem('favTerms' + window.uuid, JSON.stringify(favTerms1));

		});
	} else {

	}
	favTerms = '';
	favoriteSettings='';
}

function switchArticle() {
		console.log("Switching to article");
	if (window.doubleTap == 0) {
		saveFav();
		window.doubleTap = 1;
		
		var ios = "";
		//if(window.callos == "ios") ios = " ios7";

		$('#favTopicSwap').removeClass('selectedFav' + ios);
		$('#favTopicSwap').removeClass('unselectedFav' + ios);
		$('#favArticleSwap').removeClass('selectedFav' + ios);
		$('#favArticleSwap').removeClass('unselectedFav' + ios);
		$('#favTopicSwap').addClass('unselectedFav' + ios);
		$('#favArticleSwap').addClass('selectedFav' + ios);


		loadFavArticles();
		setTimeout(function() {
			window.doubleTap = 0;
		}, 150);
	}
}

function switchTopic() {
		console.log("Switching to topic");
	if (window.doubleTap == 0) {
		window.doubleTap = 1;

		var ios = "";
		//if(window.callos == "ios") ios = " ios7";

		$('#favTopicSwap').removeClass('selectedFav' + ios);
		$('#favTopicSwap').removeClass('unselectedFav' + ios);
		$('#favArticleSwap').removeClass('selectedFav' + ios);
		$('#favArticleSwap').removeClass('unselectedFav' + ios);
		$('#favArticleSwap').addClass('unselectedFav' + ios);
		$('#favTopicSwap').addClass('selectedFav' + ios);

		loadFavTopics();
		setTimeout(function() {
			window.doubleTap = 0;
		}, 150);
	}
}

function loadFavTopics() {
	if (window.doubleLoad == 0) {
		window.doubleLoad = 1;
		if (localStorage.getItem('favTerms' + window.uuid) == undefined) {
			loadFavTerms();
		}
		var favoriteSettings = localStorage.getItem('favTerms' + window.uuid);
		favoriteSettings = JSON.parse(favoriteSettings);
		var checkHeight = eval(38 + 51 * favoriteSettings.favterms.length + 70 + 51 + 100);
		var lineHeight = eval((checkHeight - 100) / (favoriteSettings.favterms.length));
		//innerHTML = '<div style="margin-right:0px;" id="favTopicList"><div style="vertical-align:middle;width:100%;padding-right:-30px;" id="fullInitialConfig"><div style="height:50px;"><a class="button" style="float:left;" onclick="toggleChecked(true)">Select All</a><a class="button" style="float:right;" onclick="toggleChecked(false)">Deselect All</a></div>';
		//New button style
		if(window.callos == 'ios'){
			innerHTML = '<div style="margin-right:0px;" id="favTopicList"><div style="vertical-align:middle;width:100%;padding-right:-30px;" id="fullInitialConfig"><div style="height:50px;"><a class="buttonBlue ios7" style="float:left;" onclick="toggleChecked(true)">Select All</a><a class="buttonRed ios7" style="float:right;" onclick="toggleChecked(false)">Deselect All</a></div>';
		} else {
			innerHTML = '<div style="margin-right:0px;" id="favTopicList"><div style="vertical-align:middle;width:100%;padding-right:-30px;" id="fullInitialConfig"><div style="height:50px;"><a class="buttonBlue" style="float:left;" onclick="toggleChecked(true)">Select All</a><a class="buttonRed" style="float:right;" onclick="toggleChecked(false)">Deselect All</a></div>';
		}
		$.each(favoriteSettings.favterms, function(i, info) {

			//console.log(info);
			if (info.display == true) {
				var listEntry = "<div style='list-style-type: none;padding-right:40px;height:" + lineHeight + "px'><input  class='toggle selectorCheckbox' type='checkbox'  checked='checked' value='" + info.stid + "' id='cb" + info.stid + "' /><label for='cb" + info.stid + "'><span></span></label><div style='padding-top:9px;'>" + info.name + "</div></div>";
				innerHTML += listEntry;
			} else {
				var listEntry = "<div style='list-style-type: none;padding-right:40px;height:" + lineHeight + "px'><input  class='toggle selectorCheckbox' type='checkbox'  value='" + info.stid + "' id='cb" + info.stid + "' /><label  for='cb" + info.stid + "'><span></span></label><div style='padding-top:9px;'>" + info.name + "</div></div>";
				innerHTML += listEntry;
			}
		});
		innerHTML += "</div></div>";
		$('#favoritesContainer').html(innerHTML);
		$('#favoritesContainer').attr('topicCounter', '0');
		setTimeout(function() {
			window.doubleLoad = 0;
		}, 100);
		favStory.scrollTo({x:0,y:0});
	}
	favTerms = '';
	favoriteSettings='';
}

function loadFavArticles(){
	$('#favoritesContainer').html('<ul  class="listClass" style="vertical-align:middle; padding-bottom: 140px !important;" id="favoritesList"></ul>');

	/*
	var f1 = {
		'name': 'NYTimes',
		'url': 'http://www.rxwiki.com',
		'type': 'news'
	};
	var f2 = {
		'name': 'Facebook',
		'url': 'http://www.rxwiki.com',
		'type': 'feature'
	};
	var f3 = {
		'name': 'Bikes',
		'url': 'http://www.rxwiki.com',
		'type': 'ask'
	};
	var f4 = {
		'name': 'Us',
		'url': 'http://www.rxwiki.com',
		'type': 'medication'
	};
	fakeFavs = [f1, f2, f3, f4];
	//*/

	favorites = localStorage.getItem('webFavorites' + window.uuid);
	if(favorites == undefined){
		$('#favoritesList').html("<p>You have no favorite articles. After you favorite articles, they will appear here.</p>");
		$('#favoritesContainer')[0].parentElement.className = "nofav";
		window.favEmpty = 1;
		return;
	} else {
		favList = JSON.parse(favorites);

		if(favList.length == 0){
			$('#favoritesList').html("<p>You have no favorite articles. After you favorite articles, they will appear here.</p>");
			$('#favoritesContainer')[0].parentElement.className = "nofav";
			window.favEmpty = 1;
			return;
		}
	}
	
	var linkFavorites = '';
	for (var i = 0; i < favList.length; i++) {
		favArticle = favList[i]
		var onClick = 'onclick="$.ui.loadContent(\'panel-webview\', false, false, \'slide\');contentWebview(\'' + favArticle.url + '\');"';
		linkFavorites += '<li class="webFavorite" style="position:relative;"><a ' + onClick + '>';
		img = getImage(favArticle.type);
		
		linkFavorites += '<img src="' + img + '"></img>';
		linkFavorites += '<a ' + onClick + ' style="position:absolute;top:0px;left:80px;height:80px;font-weight:bold;max-width:60%;padding-top:10px;overflow-wrap:break-word;line-height:14px">' + favArticle.name + '</a>';
		//linkFavorites += '<div style="position:absolute;top:0px;left:80px;height:80px;line-height:80px;font-weight:bold;max-width:75%">' + favArticle.name + '</div>';
		linkFavorites += '</a></li>';
	}

	window.favEmpty = 0;
	$('#favoritesList').html(linkFavorites);
	$('#favoritesContainer').attr('counter', 0);
}

function getImage(type){
	var img = ''
	switch(type){
		case 'news':
			img = 'images/tiles/News_Button.png';	
			break;
		case 'feature':
			img = 'images/tiles/Features.png';	
			break;
		case 'ask':
			img = 'images/tiles/ask.png';	
			break;
		case 'medication':
			img = 'images/tiles/Medication.png';	
			break;
		case 'condition':
			img = 'images/tiles/News_Button.png';	
			break;
		case 'encyclopedia':
			img = 'images/tiles/News_Button.png';	
			break;
		default:
			img = 'images/tiles/News_Button.png';	
			break;
	}
	return img;
}

//*
function makeOldFavs(){
	var old = {}
	old.name = "Favorites";
	old.terms = [];
	t1 = {};
	t1.name = "c880b0a7-5c50-4d71-ae71-024edc715141";
	t1.link = "<div id=\"fullLink\" onclick=\"javascript:loadDetails(\"c880b0a7-5c50-4d71-ae71-024edc715141\")\"><div id=\"leftLink\"><img src=\"http://feeds.dailyrx.com/sites/default/files/styles/mobile_thumb1/public/photo/woman-walking-beach-with-bicycle_0.jpg\"></div><div id=\"fullLink-arrow\"></div><div id=\"centerLink\" class=\"\"><p>Rare, Deadly Disease More Likely in Obese Women on Dialysis</p></div></div>";
	
	t2 = {};
	t2.name = "374f8730-a2c1-425c-be73-9189a607fc8e";
	t2.link = "<div id=\"fullLink\" onclick=\"javascript:loadDetails(\"374f8730-a2c1-425c-be73-9189a607fc8e\")\"><div id=\"leftLink\"><img src=\"http://feeds.dailyrx.com/sites/default/files/styles/mobile_thumb1/public/photo/estimating.jpg\"></div><div id=\"fullLink-arrow\"></div><div id=\"centerLink\"><p class=\"\">More Colon Cancer Screenings, Fewer Cancers</p></div></div>";
	
	t3 = {};
	t3.name = "d8c981f5-8f32-4301-a303-f12179a79160";
	t3.link = "<div id=\"fullLink\" onclick=\"javascript:loadDetails(\"d8c981f5-8f32-4301-a303-f12179a79160\")\"><div id=\"leftLink\"><img src=\"http://feeds.dailyrx.com/sites/default/files/styles/mobile_thumb1/public/photo/camels_0.jpg\"></div><div id=\"fullLink-arrow\"></div><div id=\"centerLink\" class=\"\"><p>Camel Pinned as MERS Source</p></div></div>";

	old.terms = [t1, t2, t3];
	localStorage.setItem('favorites'+window.uuid, JSON.stringify(old));
}
//*/

function modernizeFavs(oldFavs){
	oldFavs = JSON.parse(oldFavs);
	oldFavs = oldFavs.terms;

	var favorites = localStorage.getItem('webFavorites' + window.uuid);
	if(favorites == undefined){
		var emptyFavs = [];
		localStorage.setItem('webFavorites' + window.uuid, JSON.stringify(emptyFavs));
	}

	for (var i = 0; i < oldFavs.length; i++) {
		var oldie = oldFavs[i];
		var uuid = oldie.name;
		
		jQuery.ajax({
			url: "http://" + window.finalURL +"/pcmi_services/therapist/details2/" + uuid,
			success: function(sjson){
				sjson = JSON.parse(atob(sjson));
				if ((sjson.status == 'Good') || (sjson.status == undefined && sjson.nid !== null)){
					createNewFav(sjson.uuid, sjson.title);
				}
			}
		});
	}
	localStorage.removeItem('favorites' + window.uuid);
	window.favEmpty = 0;
}

function createNewFav(id, name){
	var newie = {};
	newie.url = "http://" + window.appType + ".com/node/" + id;
	newie.name = name;
	newie.type = 'news';

	var favorites = localStorage.getItem('webFavorites' + window.uuid);
	var favoritesList = JSON.parse(favorites);
	favoritesList.push(newie);

	localStorage.setItem('webFavorites' + window.uuid, JSON.stringify(favoritesList));
}

////////////////////////
//Favorite deleting code
////////////////////////

function favDelete() {
    $('#blankDiv').remove();
    //surveyEdit === 0 => they clicked on the edit button, not the delete button
    if(window.favEdit === 0){
        window.favEdit = 1;  //Switch the flag
		$("#favEditButton").html("Cancel");


		favorites = localStorage.getItem('webFavorites' + window.uuid);
		if(favorites == undefined) return;
		favList = JSON.parse(favorites);
		var linkFavorites = '';
		for (var i = 0; i < favList.length; i++) {
			favArticle = favList[i]
			linkFavorites += '<li class="webFavorite" style="position:relative;"><a>';
			img = getImage(favArticle.type);
			
			linkFavorites += '<img src="' + img + '"></img>';
			linkFavorites += '<a style="position:absolute;top:0px;left:80px;height:80px;font-weight:bold;max-width:60%;padding-top:10px;overflow-wrap:break-word;line-height:14px">' + favArticle.name + '</a>';
			linkFavorites += '</a>';

			var delButton = '';
			if(window.callos == 'ios'){
				//delButton += '<a class="buttonRed ios7" style="position:absolute;z-index:2;top:20px!important;right:2%;width:60px;background-color:#E5E5E5" onclick="javascript:favoriteDelete(' + i + ',\'' + favArticle.name + '\');">Delete </a>';
				delButton += '<a id="deleteButton" class="buttonRed ios7" onclick="javascript:favoriteDelete(' + i + ',\'' + favArticle.name + '\');">Delete </a>';
			} else {
				//delButton += '<a class="buttonRed" style="position:absolute;z-index:2;top:20px!important;right:2%;width:60px;background-color:#E5E5E5" onclick="javascript:favoriteDelete(' + i + ',\'' + favArticle.name + '\');">Delete </a>';
				delButton += '<a id="deleteButton" class="buttonRed" onclick="javascript:favoriteDelete(' + i + ',\'' + favArticle.name + '\');">Delete </a>';
			}
			
			linkFavorites += delButton + '</a>';

			$("#favoritesList").html(linkFavorites);
		}


    } else if (window.favEdit === 1) {
		console.log("Leaving delete mode");
		$("#favEditButton").html("Edit");
        window.favEdit = 0;
		loadFavArticles();
    }
}

function favoriteDelete(id, title){
	window.globalDeleteId = id;
	if(title != undefined){
		AppMobi.notification.confirm("Are you sure you want to delete \"" + title + "\" from your favorites?", "favoriteDeleteConfirm", "Delete Favorite", "Yes", "No");
	} else {
		AppMobi.notification.confirm("Are you sure you want to delete this favorited page?", "favoriteDeleteConfirm", "Delete Favorite", "Yes", "No");
	}
}

function favoriteDeleteConfirm(id){
	var existing = localStorage.getItem('webFavorites' + window.uuid);
	existing = JSON.parse(existing);
	existing.splice(id,1);
	localStorage.setItem('webFavorites' + window.uuid, JSON.stringify(existing));
    window.favEdit = 0;
	loadFavArticles();
	favDelete();
}

function deleteAllFavorites(){
	var existing = localStorage.getItem('webFavorites' + window.uuid);
	existing = JSON.parse(existing);
	for(var i = 0; i++; i<existing.length){
		favoriteDeleteConfirm(i);
	}
}

////////////////////////
//
////////////////////////

/*
function loadFavArticles() {
	saveFav();
	window.doubleLoad = 0;
	$('#favoritesContainer').html('<ul  class="listClass" style="vertical-align:middle; padding-bottom: 140px !important;" id="favoritesList"></ul>');
	favorites = localStorage.getItem('favorites' + window.uuid);
	if (favorites == undefined) {} else {
		favoritesParsed = JSON.parse(favorites);
		favList = favoritesParsed.terms;
	}
	linkFavorites = '';
	if (favorites == undefined) {
		$('#favoritesList').html("<p>You have no favorite articles. After you favorite articles, they will appear here.</p>");
		$('#favoritesContainer')[0].parentElement.className = "nofav";
		window.favEmpty = 1;
	} else if (favList.length == 0) {
		$('#favoritesList').html("<p>You have no favorite articles. After you favorite articles, they will appear here.</p>");
		window.favEmpty = 1;
	} else {
		for (var i = 0; i < favList.length; i++) {
			favArticle = favList[i]
			if (favArticle.link != '' || favArticle.link != '[object Object]') {
				linkFavorites += '<li>' + favArticle.link + '</li>';
			}
		}
		window.favEmpty = 0;
		$('#favoritesList').html(linkFavorites);
		$('#favoritesContainer').attr('counter', 0);
	}
	setTimeout(function() {
	}, 0);
	favStory.scrollTo({x:0,y:0});
}

*/

function saveFav() {
	favoriteSettings = localStorage.getItem('favTerms' + window.uuid);
	favoriteSettings = JSON.parse(favoriteSettings);
	favoriteSettings1 = localStorage.getItem('favTerms' + window.uuid);
	var favSelector = $('.selectorCheckbox');
	for (var i = 0; i < favSelector.length; i++) {
		if (favSelector[i].checked == true) {
			favoriteSettings.favterms[i].display = true;
		} else {
			favoriteSettings.favterms[i].display = false;
		}
	}

	localStorage.setItem('favTerms' + window.uuid, JSON.stringify(favoriteSettings));
	favoriteSettings = JSON.stringify(favoriteSettings);
	if (favoriteSettings != favoriteSettings1) {
		$('#featureList').html('');
		$('#featureContainer').attr('counter','-1');
		$('#featureContainer').attr('term','all');
		$('#featureContainer').attr('refresh','1');
				$('#newsList').attr('counter','-1');
		$('#newsList').attr('term','all');
		$('#newsList').attr('refresh','1');
		$('#newsList').attr('state', '1');
						$('#news').attr('counter','-1');
		$('#news').attr('term','all');
		$('#news').attr('refresh','1');
		$('#news').attr('state', '1');
		$('#termall').css('font-weight', 'bold');
		$('#termfeatureall').css('font-weight', 'bold');
		taxScroller.scrollTo({x:0,y:0});
		taxFeatureScroller.scrollTo({x:0,y:0});
		loadFeatureTerm('all');
		hideAd();
	}
	setTimeout(toggleFavTopics(), 100);
	favTerms = '';
	favoriteSettings='';
	favoriteSettings1='';
}

function toggleFavTopics() {
	window.godZilla = 0;
	favoriteSettings = localStorage.getItem('favTerms' + window.uuid);
	if (favoriteSettings == undefined) {
		loadFavTerms();
	} else {
		if(typeof(favoriteSettings) == "string"){
			favoriteSettings = JSON.parse(favoriteSettings);
		}
		$.each(favoriteSettings.favterms, function(i, info) {
			if (info.display == false) {
				$('#termDisplay' + info.stid).hide();
				$('#termfeatureDisplay' + info.stid).hide();
			} else {
				$('#termDisplay' + info.stid).show();
				window.godZilla += 1;
				$('#termfeatureDisplay' + info.stid).show();
			}
		});
	}
	if ($('#taxBarFeature ul').length == 0) {} else if ($('#taxBar ul').length == 0) {} else {
		var featureWidth = $('#taxBarFeature ul').offset().width;
		var newsWidth = $('#taxBar ul').offset().width;
		$('#taxBarFeature').css('width', featureWidth + 'px');
		$('#taxBar').css('width', newsWidth + 'px');
	}
	favTerms = '';
	favoriteSettings='';
}

function toggleChecked(status) {
	var favSelector = $(".selectorCheckbox");
	if (status == false) {
		for (var i = 0; i < favSelector.length; i++) {
			favSelector[i].checked = false;
		}
	} else {
		for (var i = 0; i < favSelector.length; i++) {
			favSelector[i].checked = true;
		}
	}
	favSelector = undefined;
}

function toggleCheckedInitial(status) {
	var favSelector = $(".launchCheckbox");
	if (status == false) {
		for (var i = 0; i < favSelector.length; i++) {
			favSelector[i].checked = false;
		}
	} else {
		for (var i = 0; i < favSelector.length; i++) {
			favSelector[i].checked = true;
		}
	}
	favSelector = undefined;
	setTimeout(function() {
		window.initialScroller.scrollTo({
			X: 0,
			Y: 200
		}, 10);
	}, 100);
}
