function applyImageTag(image){
	console.log("In applyImageTag");
	if(window.uuid == 'rxwiki' || window.uuid == 'tarrytown' || window.uuid=='therapist' || window.uuid=='oncologist' || window.uuid=="dailyrx"){
		var css = '.specialHeader {background-image:url(\'' + image +'\')!important;}';
	}
	else{
		var css = '.specialHeader {background-image:url(\'' + image +'\')!important;background-size:180px 48px !important;}';
	}
	window.imageLocation=image;
	head = document.getElementsByTagName('head')[0];
	style = document.createElement('style');
	style.type = 'text/css';
	if (style.styleSheet){
		style.styleSheet.cssText = css;
	} else {
		style.appendChild(document.createTextNode(css));
	}
	head.appendChild(style);
}
function checkStatus(lastCode){
	console.log("in checkStatus, lastCode = " + lastCode);
	if (lastCode == 'rxwiki' || lastCode == 'therapist' || lastCode == 'oncologist' || lastCode == 'dailyrx' ){}else{
		// Test code
		var newCode;
		var originalCode = localStorage.getItem(lastCode);
		var configLocation = 'http://config.rxwiki.com/config/mobile/'+lastCode; //live final location
		$.ajax({
			url: configLocation,
			contentType: "application/json",
			dataType: "json",
			success: function(sjson){
				if(typeof(sjson) != "object"){
					sjson = JSON.parse(sjson);
				}
				if (sjson.Status != true || sjson.Items.length == 0|| sjson.Items[0].activation_approved == 0 ){
				}
				else{
					newCode = JSON.stringify(sjson.Items[0]);
				}
			},
			error: function (XMLHttpRequest, textStatus, errorThrown) {
			},
			complete:function(sjson) {
				if( newCode != originalCode){
					localStorage.setItem(lastCode, newCode);
				}
				configCheck();
			}
		});
	}
}
function loadRxwiki(){
	console.log("in loadRxwiki");
	var name = window.appName[window.appType]["standard"];
	AppMobi.notification.confirm("Would you like to load the " + name + " app?", 'loadTheme', "Open " + name, "Yes", "No");
}
function checkWhitelist(appcode){
	console.log("In checkWhitelist");
	$.get('json/whitelist.json',function(data){
				if(typeof(data) != "object"){
					data = JSON.parse(data);
				}
		$.each(data.appcodes, function (i, code){
			if(code == appcode){
				$('#providerWalgreen').remove();
				window.doNotShowNew=1;
			}
		});
	});
}

function retryAJAX() {
	console.log("In retryAJAX");
		console.log("********************* retrying");
		jQuery.ajax({
			url: 'json/'+window.appType+'.json',
			type: 'GET',
			timeout: 5000,	
			error: function(jqXHR, estatus, error) {
				console.log("AJAX error");
				console.log(jqXHR);
				console.log("error status");
				console.log(estatus);
				console.log(error);
			},
			success: function(data){
				if(typeof(data) != "object"){                                    
					data = JSON.parse(data);                                 
				}
				localStorage.setItem('lastLoaded'+window.appType, data.username);
				localStorage.setItem(data.username, JSON.stringify(data));
				window.first = 1;
				loadTheme(data.username);
			}
		});

}


function loadTheme(themeName){
	console.log("In loadTheme");

	checkWhitelist(themeName);

	$('#linkTile.' + window.appName[window.appType]["lower"]).hide();
	if (themeName == '' || themeName == undefined){
		/*
		$.get('json/'+window.appType+'.json',
			function(data){
				if(typeof(data) != "object"){                                    
					data = JSON.parse(data);
				}
				localStorage.setItem('lastLoaded'+window.appType, data.username);
				localStorage.setItem(data.username, JSON.stringify(data));
				window.first = 1;
				loadTheme(data.username);

				//parse the rest of the data
				//store config_name under lastloaded+apptype
				//stringfy and store under config_name JSON.stringfy(data)
			}
		);
		*/
			
		jQuery.ajax({
			url: 'json/'+window.appType+'.json',
			type: 'GET',
			timeout: 5000,	
			error: function(jqXHR, estatus, error) {
				console.log("AJAX error");
				console.log(jqXHR);
				console.log("error status");
				console.log(estatus);
				console.log(error);
				retryAJAX();
			},
			success: function(data){
				console.log("JSON success");
				if(typeof(data) != "object"){
					data = JSON.parse(data);
				}
				localStorage.setItem('lastLoaded'+window.appType, data.username);
				localStorage.setItem(data.username, JSON.stringify(data));
				window.first = 1;

				loadTheme(data.username);
			}
		});
	 }
	 else{

	 	var rxwikiMobile = localStorage.getItem(themeName)
		rxwikiMobile = JSON.parse(rxwikiMobile);
		window.uuid = rxwikiMobile.username;

		//Modernize the old favorites
		oldFavs = localStorage.getItem('favorites' + window.uuid);
		if(oldFavs != undefined){
			modernizeFavs(oldFavs);
		} else {
			//console.log("Didn't find any favorites");
		}

		//piwik update appcode variable
		_paq.push(['setCustomVariable','1','pharmacy_code',rxwikiMobile.username]);
		window.noAd = eval(rxwikiMobile.fname == "noad" || rxwikiMobile.no_ad == "1");
		console.log(window.noAd);
		window.androidPhone = "tel:+1"+rxwikiMobile.android_phone_target;
		window.iosPhone = "tel:+1"+rxwikiMobile.ios_phone_target;
		window.callPopupText = rxwikiMobile.call_text_popup;
		window.pharmacyName = rxwikiMobile.pharmacy_name;
		if (window.pharmacyName != ""){
			$('#providerPharma center').html(window.pharmacyName);
		}
		window.refillLink = rxwikiMobile.refill_link;
		window.filters = rxwikiMobile.filters;
		$('#call-text').html(rxwikiMobile.call_text);
		hideAd();
		var css = rxwikiMobile.mobile_logo_filename;
		if(window.callos == 'ios'){
    		jq("#afui *").each(function(){ if(this.id.substr(0,8)!='carousel'){
    			$(this).addClass("ios7");
    		}

    		});
			jq("#searchInput").addClass("ios7");
		}

		if(css.substring(0,4) == 'http'){
			var localUrl = AppMobi.cache.getMediaCacheLocalURL(css);
			if(localUrl == undefined || localUrl == '' || localUrl == 'undefined'){
				window.globalImageFileName = rxwikiMobile.mobile_logo_filename;
				AppMobi.cache.addToMediaCacheExt(rxwikiMobile.mobile_logo_filename, 'words');
			}
			else{
				applyImageTag(localUrl);

				if(window.first == 1){
					launchPage();
	
					$('#loadingSpinner').hide();
					loaded();
					setTimeout(function(){AppMobi.device.hideSplashScreen();},50);
				} else{
					window.pastCache=1;
					loaded();
					$.ui.loadContent('#frontMenu',false,false,'slide');
					$('#loadingSpinner').hide();
					setTimeout(function(){AppMobi.device.hideSplashScreen();},50);
				}
			}
		}
		else{
			applyImageTag(css);

			if(window.first == 1){

				launchPage();
			$('#loadingSpinner').hide();
			loaded();
			setTimeout(function(){AppMobi.device.hideSplashScreen();},50);
			} else{
				window.pastCache=1;
				loaded();
				$.ui.loadContent('#frontMenu',false,false,'slide');
			$('#loadingSpinner').hide();
			setTimeout(function(){AppMobi.device.hideSplashScreen();},50);
			}
		}
		if (window.first == 1){
			if (window.appCode == undefined){
				window.appCode = "OO";
			}
			$.ajax({
				type:'POST',
				url:"http://feeds.rxwiki.com/pcmi_services/activation/info",
				error: function (XMLHttpRequest, textStatus, errorThrown) {
					var sjson = JSON.stringify(XMLHttpRequest.responseText);
				},
				success: function(json){
				},
				data:{
					deviceUuid: AppMobi.device.uuid,
					appCode: window.appCode,
					appType:window.appType,
					osType:window.callos,
					osVersion: AppMobi.device.osversion,
					deviceModel: AppMobi.device.model
				},
			});
		}
	}
	MyPlugin.worker.setupAd("422798", window.uuid, -1, -1);
}
function checkScan(){
	console.log("In checkScan");
	themeName = localStorage.getItem('lastLoaded'+window.appType);

	rebrandCSS();
	if(themeName == undefined){
		loadTheme();
	}
	else{
		checkStatus(themeName);
		loadTheme(themeName);
	}
}


function rebrandCSS(){
	console.log("In rebrandCSS");

	if(window.appType == "dailyrx"){
		console.log("Applying drx branding");
		$(".specialHeader:not(.ios7)").attr('style','background-image:url("images/large/dailyrx.png")');
		$(".specialHeader.ios7").attr('style','background-image:url("images/large/dailyrx.png")');
		$("#refillTile").show();
		$("#linkTile.dailyrx").show();
		$("#linkTile.rxwiki").hide();
		$("#surveyPoweredLogo").attr('src',"images/large/dailyrx.png");
		$('#providerWalgreen').show();
		$("#providerAppCode").html("If you have a Provider app code, enter it now.");
	} else if (window.appType == "rxwiki"){
		console.log("Applying rxw branding");
		$(".specialHeader:not(.ios7)").attr('style','background-image:url("images/large/rxwiki.png")');
		$(".specialHeader.ios7").attr('style','background-image:url("images/large/rxwiki.png")');
		$("#refillTile").attr('style','display:none');
		$("#linkTile.rxwiki").show();
		$("#linkTile.dailyrx").hide();
		$("#surveyPoweredLogo").attr('src',"images/large/rxwiki.png");
		$('#providerWalgreen').hide();
		$("#providerAppCode").html("If you have a Pharmacy app code, enter it now.");
	}

	privacy();
	tAndC();
}

function newCodeOnLoad(){
	if(window.callos != "ios") $("#codeTxt").focus();
}

function checkNewCode(){
	console.log("In checkNewCode");
	$("codeTxt").blur();
	var code = $('#codeTxt').val();
	if(code == '' || code == undefined){
		AppMobi.notification.alert('You have entered an invalid code.  Please try again','Bad Code');
	} else {
		submitCode(code);

	}
}
//The use of the activationCode argument allows the Change App Brand branch of the
//program to use the same submitCode function as the initial startup.  If no argument is
//passed, the program looks in the text box displayed at startup.
function submitCode(activationCode){
	console.log("In submitCode");

	$('#loadingSpinner').show();
	if((activationCode == '') || (activationCode == undefined)){
		var activationCode = $('#codeTxt').val();
	}
	activationCode  = activationCode.replace(/^\s+|\s+$/g,'');
	activationCode = activationCode.toLowerCase();
	window.appCode = activationCode;
	var configLocation = 'http://config.rxwiki.com/config/mobile/'+activationCode; //live final location
	$.ajax({
		url: configLocation,
		contentType: "application/json",
		dataType: "json",
		success: function(sjson){
			console.log(sjson);
				if(typeof(sjson) != "object"){
					sjson = JSON.parse(sjson);
				}
			if ((sjson.Status != true || sjson.Items.length == 0|| sjson.Items[0].activation_approved == 0) || window.appType != sjson.Items[0].app_type ){
				$('#loadingSpinner').hide();
				AppMobi.notification.alert('You have entered an invalid code. Please try again.','Bad Code');
			}
			else{

				//piwik, custom pharm codes
				var data = sjson.Items[0];
				localStorage.setItem('lastLoaded'+window.appType, data.username);
				localStorage.setItem(data.username, JSON.stringify(data));
				window.first = 1;
				console.log(data.username);
				loadTheme(data.username);
			}
		},
		error: function (XMLHttpRequest, textStatus, errorThrown) {
			var sjson = JSON.stringify(XMLHttpRequest.responseText);
			$('#loadingSpinner').hide();
			AppMobi.notification.alert('You have entered an invalid code. Please try again.','Bad Code');
		},
		complete:function(sjson) {
		}
	});
}
function cacheComplete(evt){
	console.log("In cacheComplete");
	var image = AppMobi.cache.getMediaCacheLocalURL(evt.url);
	applyImageTag(image);
	loaded();

	if(window.first == 1){
		var whatsNew = localStorage.getItem('whatsNew' + window.uuid + '');
		var whatsNew2 = localStorage.getItem('whatsNew' + 'rxwiki' + '');
		if((testWhitelist(window.uuid) != 1) && (whatsNew != 1) && (whatsNew2 != 1)){
			$('#whatsNew').show();
		}
		try{
			$.ui.loadContent('#frontMenu',false,false,'slide');
			$('#loadingSpinner').hide();
			setTimeout(function(){AppMobi.device.hideSplashScreen();},50); 
		} catch(e){}
	} else{

		$.ui.loadContent('#frontMenu',false,false,'slide');

	$('#loadingSpinner').hide();
	setTimeout(function(){AppMobi.device.hideSplashScreen();},50);
	}
}
function configCheck(){
	console.log("In configCheck");
	//Changing whitespace and adding try/catch
	var isiPad = navigator.userAgent.match(/iPad/i) != null;
	setTimeout(function(){
		try {
			getAdvertisement();
			showAd();
		} catch(err) {
		}
	}, 100);
	if(isiPad){
		$('#callTile').hide();
	}
	if (window.appType == 'rxwiki'){
		$('#askTile').show();
	}else{
		$('#askTile').hide();
	}
	    ver = /OS [6-7]_\d(_\d)?/i.test(navigator.userAgent.match(/OS [\d+\_]{3,5}/));
  	  if (ver  || window.callos == 'android') {
   	 }else{
         	$('.newButtonsShare').hide();
        $('.newButtonsShare').remove();
  	}
	if(window.iosPhone == '' || window.iosPhone == undefined || window.iosPhone == 'tel:+1'){
		$('#callTile').hide();
	}
	else{
		$("#callTile").show();
	}
	if(window.refillLink == "" || window.refillLink == undefined && window.appType == 'rxwiki' || window.refillLink == undefined && window.appType == 'dailyrx'  || window.refillLink == undefined && window.appType == 'oncologist'  || window.refillLink == undefined && window.appType == 'therapist'){
		if(window.appType != "rxwiki") $('#refillTile').show();
		$('#linkTile.' + window.appName[window.appType]["lower"]).show();
		$('#menuLoader').show();
		$('codeSwap1').show();
	}
	else{
		$('#menuLoader').hide();
		$('#refillTile').show();
		$('#codeSwap1').hide();
	}
}
