//CHECKS on load whether user is returning mid questionnaire from another page and shows the correct page

var IntId;
var pathArray = window.location.href.split('/');
var protocol = pathArray[0];
var host = pathArray[2];
var surveyName = '';
var testUser = {
	"Patient" : {
			"FirstName" : "John",
			"MiddleName" : "M",
			"LastName" : "Doe",
			"Gender" : 'Male',
			"DOBMonth" : 1,
			"DOBDay" : 1,
			"DOBYear" : 1960
}};

function continueCalls(){
	resetEncounterObj();
	$('#surveyHeader #shareDots').hide();
	setTimeout($.ui.loadContent('pre-refill-page1',false,false,'slide'),50);
	window.savePop=0;
	//$('#surveySpinner').hide();
	//$('#loadingSpinner').hide();
	$("#pre-refill-page1 #coverall").remove();
}

//Set the current survey
function setCurrentSurvey(i){
	$.get('json/surveys.json',
		function(data){
			var surveysJSON = $.parseJSON(data);
			var survey = surveysJSON.surveys[i];
			encounterObj.qname = survey.surveyName;
			encounterObj.dname = survey.commonName;
			$("#surveyDisclaimer").html(survey.disclaimer);
			$("#pre-refill #refillQuestionnaireBanner").html(survey.commonName + " Questionnaire");
	});

	var person;
	if(window.appType === "dailyrx"){
		person = "provider";
	} else if (window.appType === "rxwiki"){
		person = "pharmacist";
	}
	$("#surveyDiscuss").html("Discuss your results with your " + person + " today.");
}

$(document).ready(function() {

	//console.log('sessionStorage.imheid: '+sessionStorage.imheid);
	//console.log('sessionStorage.encstart: '+sessionStorage.encstart);
	if (window.location.hash.replace('#', "") === "") {
		sessionStorage.removeItem('imheid');
		sessionStorage.removeItem('encstart');
	}
	//console.log('sessionStorage.imheid after: '+sessionStorage.imheid);
	//console.log('sessionStorage.encstart after: '+sessionStorage.encstart);
	if (sessionStorage.imheid) {

		var area = $('#disp_question');
		area.append('<div id="gifloader"><img width="120" height="120" src="sites/all/themes/tseven/images/lloader.gif" id="gifis" /></div>');
		encounterObj.encounterId = sessionStorage.imheid;

		if (sessionStorage.encstart) {
			var now = new Date();
			now = Date.parse(now);
			var tempstart = Date.parse(sessionStorage.encstart);
			//Check to see if session already timed out when returning to page
			if ((now - tempstart) / 60000 >= 30) {
				imhServiceRequest('DELETE', 'encounters/' + encounterObj.encounterId, '', function(data) {
					if (data.ApiStatus.ApiStatusCode == 5000) {
						var div = jQuery("#disp_question");
						div.empty();
						div.append('<div><b>We\'re sorry</b><br><br>Your Appointment Assist session has timed out due to inactivity.<br> Please reload the page to start a new session.</div>');
						sessionStorage.removeItem('imheid');
						sessionStorage.removeItem('encstart');
						//clearInterval(IntId);
					}
				}, 1);

			} else {/**sessionStorage.encstart = new Date();**/
				IntId = window.setInterval(checkTimeout, 60000);
			}
		}

		if (window.location.hash.replace("#", "") !== "") {

			if (window.location.hash.replace("#", "") != "report") {

				var qnumb = parseInt(window.location.hash.replace("#", ""));
				imhServiceRequest('GET', 'encounters/' + encounterObj.encounterId, '', function(data) {
					if (data.Encounter.EncounterId) {
						imhServiceRequest('GET', "encounters/" + encounterObj.encounterId + "/interviewcursor", '', imhProcessQuestion);
						var stub = pathArray[3].split('?');
						stub = stub[0];
						var urls = protocol + '//' + host + '/' + stub;
						var temptash = window.location.hash;
						temptash = temptash.replace("#", "");
						//console.log(urls+'/'+temptash);

					} else {
						sessionStorage.removeItem("imheid");
						return false;
					}

				}, 1);
			} else {

				imhServiceRequest('GET', 'encounters/' + encounterObj.encounterId, '', function(data) {
					if (data.Encounter.EncounterId) {
						imhServiceRequest('POST', "encounters/" + encounterObj.encounterId + "/report", defaultReportInfo(), function(data) {
							if (validateImhReportObject(data)) {
								//RE-INITS the encounterObj dict needed to display report info
								encounterObj.show_report = false;
								encounterObj.report_data = data.Report.Data;
								encounterObj.current_question.last = true;
								encounterObj.current_question.links = {};
								encounterObj.current_question.links.report = "encounters/" + encounterObj.encounterId + "/report";
								encounterObj.current_question.final_position = 20;
								imhRenderPage();
								var stub = pathArray[3].split('?');
								stub = stub[0];
								var urls = protocol + '//' + host + '/' + stub;
								var temptash = window.location.hash;
								temptash = temptash.replace("#", "");
								//console.log(urls+'/'+temptash);
							}
						});
					}
				}, 1);
			}
		}
	}

	/*	imhServiceRequest('POST', 'encounters', '', function(data) {
	 if (encounterObj.error = validateImhEncounterObject(data)) {
	 var check = "Refills";
	 imhServiceRequest('GET', 'encounters/' + data.Encounter.EncounterId + "/questionnaires?lookup=" + check, '', function(data) {
	 console.log(data);
	 });
	 }
	 });*/

});

function createPatientForm(){
	if(encounterObj.encounterId == null){
		$("#disp_question").html("");
		$("#pre-refill-page1 #refillQuestionnaireBanner").html(encounterObj.dname + " Questionnaire");
		$("#disp_question").html($("#startingForm").html());
		surveyScroller.scrollTo({x:0,y:0});
	}
}

function createPatientFormOnLoad(){
	if(encounterObj.encounterId == null){
		$("#disp_question").html("");
		$("#pre-refill-page1 #refillQuestionnaireBanner").html(encounterObj.dname + " Questionnaire");
		$("#disp_question").html($("#startingForm").html());
		surveyScroller.scrollTo({x:0,y:0});
	}
	if(window.callos == "android"){
		$("#dobForm input").focus();
	}
}

function restartPrompt() {
	if(window.savePop == 1){
		AppMobi.notification.confirm("You are about to leave the questionnaire. You will lose your current progress. Are you sure you want to leave?", "restartSurveyPop", "Exit?", "Yes", "No");
	} else if(window.savePop == 2){
		//AppMobi.notification.confirm("You are about to leave your report. You may lose the report if you didn't save it. Are you sure you want to leave? ", "restartSurveyPop", "Exit?", "Yes", "No");
		AppMobi.notification.confirm("If you leave this screen without saving your results they will be lost.  To save your results, click on the button with three dots in the top right corner of the screen. Do you still want to leave? ", "restartSurveyPop", "Exit?", "Yes", "No");

	} else {
		if(jQuery('#iosSaveMenu').is(":visible")){
			jQuery('#iosSaveMenu').slideDown();
		} else if(jQuery('#iosShareMenuMyList').is(":visible")){
			jQuery('#iosSaveMenuMyList').slideDown();
		}
		$.ui.loadContent('#combinedSurvey',false,true,'slide');
		restartSurvey();
	}
}


function restartSurvey() {
	$("#saveDisclaimer").hide();
	if(window.callos == "android"){
		if($("#dobForm input").is(":focus")){
			document.activeElement.blur();
			setTimeout(function(){document.activeElement.blur();}, 100);
		}
	}
	resetEncounterObj();
	createPatientForm();
}

function resetEncounterObj(){
	encounterObj.error = false;
	encounterObj.initialized = false;
	encounterObj.encounterId = null;
	encounterObj.patient = null;
	encounterObj.provider = null;
	encounterObj.show_report = false;
	encounterObj.report_data = null;
	encounterObj.qid = null;
	//Don't reset this value
	//encounterObj.qname = surveyName;//pharmacy_refill   ||  social_phobia
	encounterObj.current_question.cursor_position = -1;
	encounterObj.current_question.final_position = -1;
}

function serializeJSON(data, prepend){
	if(prepend == undefined){
		prepend = '';
	}
	var output = "";
	var keys = [];
	for(key in data){
		keys.push(key);
	}
	delete data[keys[keys.length]];
	for(key in data){
		if(typeof(data[key])==="object"){
			if(prepend == ''){
				output += serializeJSON(data[key], key);
			} else {
				output += serializeJSON(data[key], prepend + "[" + key + "]");
			}
		} else if (typeof(data[key])==="function"){
 		} else {
			if(prepend == ""){
				//Omit the brackets if it's in the root object
				output += key + "=" + data[key] + "&";
			} else{
				output += prepend + "[" + key + "]=" + data[key] + "&";
			}
		}
	}
	//Truncate the trailing "&" symbol
	if(output.charAt(output.length - 1) === "&"){
		output = output.substring(0,(output.length-1));
	} 
	//Replace the spaces with "%20"
	output = output.replace(" ", "%20");

	return output;
}

function imhServiceRequest(type, path, data, doneEventHandler, hideSpinner) {

	//  var base_url = 'https://stage.ptimhservice.com/api/v2/imh/'
	//var base_url = 'https://www.ptimhservice.com/api/v2/imh/';

	//var base_url ="http://deepspacemouse.com/exp/proxyserver.php?url=";
	//var base_url ="http://staging01.rxwiki.com/imh-portal.php?url=";
	var base_url ="http://www.rxwiki.com/imh-portal.php?url=";
	base_url += encodeURI(path);
	var headers = [];

	// var apikey = "7445820b-082b-4f98-b4b2-5ff4a45e201a";
	var apikey = "fe28e037-2c07-4b6a-90e5-df4d69a8bbab";
	// var apipass = "PCMI@ADHD";
	var apipass = "??DRxPCMI1234??";
	var base64 = window.btoa(apikey + ":" + apipass);

	if(hideSpinner == undefined){
		$('#loadingSpinner').show();
		if(window.spinner == undefined) window.spinner = 0;
		window.spinner++;
	} else {
		$("#surveySpinner").show();
	}

	if(window.callos == "ios"){
		iosServiceRequest(type, path, data, doneEventHandler, base_url, headers, base64);	
	} else {
		regularServiceRequest(type, path, data, doneEventHandler, base_url, headers, base64);	
	}
}

function iosServiceRequest(type, path, data, doneEventHandler, base_url, headers, base64){
	var request = {};
	request.url = base_url;
	request.httpMethod = "POST";		//GET, POST, PUT, DELETE,  optional value, default GET
	request.timeout = 25;
	request.headers = {};
	request.headers.Authorization = "Basic " + base64;
	request.headers.callType = type;
	var serial = '';
	if(data != ''){
		serial = serializeJSON(data);
	}	
	request.httpBody= serial;

	function doHttpRequestCallBack (e){
		document.removeEventListener("myplugin.doHttpRequestCallBack",doHttpRequestCallBack);
		if(e.data){
            var data = decodeURIComponent(e.data);
            data = data.replace(/\+/g, " ");
            data = JSON.parse(data);   
		   
			if(doneEventHandler != undefined){
				doneEventHandler(data);
			} else {
				console.log("No doneEventHander for" + path);
			}
		}
		else if (e.error){
			$('#loadingSpinner').hide();
			$("#surveySpinner").hide();
			AppMobi.notification.alert('The Internet connection appears to be down.','Connection error');
			console.dir( JSON.parse( decodeURIComponent (e.error) ) );
		}
		window.spinner--;
		if(window.spinner == 0){
			$('#loadingSpinner').hide();
			$("#surveySpinner").hide();
		}
	}

	//$("#surveySpinner").show();
	//$('#loadingSpinner').show();
	document.addEventListener("myplugin.doHttpRequestCallBack",doHttpRequestCallBack,false);
	try {
		MyPlugin.worker.doHttpRequest( JSON.stringify(request) );
	} catch(e) {
		console.log("No plugin");
	}
}	

function regularServiceRequest(type, path, data, doneEventHandler, base_url, headers, base64){
	var aj = $.ajax({
		beforeSend : function(xhrObj) {
			xhrObj.setRequestHeader("callType",type);
			xhrObj.setRequestHeader("Authorization", "Basic " + base64);
			//$('#loadingSpinner').show();
			//$("#surveySpinner").show();
		},
		url : base_url,
		type : "POST",
		time: 5000, //Added by Max
		dataType : 'text',
		cache : false,
		data : data,
		error : function(x, t, m) {
			//AppMobi.notification.alert('AJAX Error', 'Debug');
			AppMobi.notification.alert('No connection', 'Error');
		},
		success : function(data) {
			try{
				data = JSON.parse(data);
			}
			catch(err){
				data  = data;
			}
			if(doneEventHandler != undefined){
				doneEventHandler(data);
			} else {
				console.log("No doneEventHander for" + path);
			}
		},
		complete:function(jqXHR){
			window.spinner--;
			if(window.spinner == 0){
				$("#surveySpinner").hide();
				$('#loadingSpinner').hide();
			}
		}
	});
}

function validateImhObject(data) {
		if ( typeof (data) !== 'undefined' && typeof (data.ApiStatus) !== 'undefined' && data.ApiStatus.ApiStatusCode == 5000) {
		return true;
	}
	return false;
}

function validateImhEncounterObject(data) {
	if (validateImhObject(data) && typeof (data.Encounter) !== 'undefined' && typeof (data.Encounter.EncounterId) !== 'undefined') {
		return true;
	}
	return false;
}

function validateImhQuestionObject(data) {
	if (validateImhObject(data) && typeof (data.Question) !== 'undefined' && typeof (data.Question.ApiLinks) !== 'undefined') {
		return true;
	}
	return false;
}

function validateImhReportObject(data) {
	if (validateImhObject(data) && typeof (data.Report) !== 'undefined' && typeof (data.Report.Data) !== 'undefined') {
		return true;
	}
	return false;
}

//Called out of imhPatientInfoFormSubmit
//Params: String, String, String, String, Array [month, day, yearxxxx]
function getPatientInfo(firstName, middleName, lastName, gender, dob) {
	if (firstName === '' && lastName === '') {
		firstName = 'The';
		lastName = 'Patient'
	}

	return {
		"Patient" : {
			"FirstName" : firstName,
			"MiddleName" : middleName,
			"LastName" : lastName,
			"Gender" : gender,
			"DOBMonth" : dob.month,
			"DOBDay" : dob.day,
			"DOBYear" : dob.year
		}
	};
}

function getAnswerInfo(answer_id, next) {
	return {
		"MoveNext" : (next === true || next === undefined) ? true : false,
		"PatientAnswer" : {
			"AnswerId" : answer_id,
			"Skip" : (answer_id === -1) ? true : false,
		}
	}
}

function getCursorInfo(next) {
	next = (next !== true) ? false : true;

	return {
		"InterviewCursor" : {
			"Operation" : ((next === true) ? "MoveNext" : "MovePrev")
		}};
}

function defaultReportInfo(t) {

	return {
		"ReportTemplate" : {
			//"OutputType" : (t) ? "SOAPWare" : "HTMLCSS", //WORKS
			"OutputType" : (t) ? "JsonNarrative" : "HTMLCSS", //WORKS
			"IncludeHPINegatives" : true,
			"IncludeROSNegatives" : true,
			"IncludeHistoryNegatives" : true,
			"IncludeRiskFactorNegatives" : true,
			"IncludeScalePositives" : true,
			"IncludeScaleNegatives" : true,
			"IncludeSkippedQuestions" : true,
			"DoubleSpaceHeadings" : true,
			"UppercaseHeadings" : true,
			"IncludePatientSignature" : false,
			"IncludeCarePlans" : true,
			"Terminology" : "PTDOCTOR",
			"ScaleOutputType" : "default",
			"IncludeHealthRiskAssessment" : false,
			"IncludeHRARiskFactors" : false,
			"IncludeHRANegativeRiskFactors" : true,
			"IncludeHRANotAskedRiskFactors" : true,
			"IncludeHRARiskLevelHigh" : true,
			"IncludeHRARiskLevelAverage" : true,
			"IncludeHRARiskLevelLow" : true,
			"IncludeQuestionsAsked" : true,
			"StylesheetRules" : ""
		}
	};
}

function briefReportInfo(t) {

	return {
		"ReportTemplate" : {
			"OutputType" : (t) ? "JsonNarrative" : "HTMLCSS", //WORKS
			"IncludeHPINegatives" : true,
			"IncludeROSNegatives" : false,
			"IncludeHistoryNegatives" : false,
			"IncludeRiskFactorNegatives" : false,
			"IncludeScalePositives" : true,
			"IncludeScaleNegatives" : true,
			"IncludeSkippedQuestions" : true,
			"DoubleSpaceHeadings" : false,
			"UppercaseHeadings" : true,
			"IncludePatientSignature" : false,
			"IncludeCarePlans" : false,
			"Terminology" : "PTDOCTOR",
			"ScaleOutputType" : "NONE",
			"IncludeHealthRiskAssessment" : false,
			"IncludeHRARiskFactors" : false,
			"IncludeHRANegativeRiskFactors" : false,
			"IncludeHRANotAskedRiskFactors" : false,
			"IncludeHRARiskLevelHigh" : false,
			"IncludeHRARiskLevelAverage" : false,
			"IncludeHRARiskLevelLow" : false,
			"IncludeQuestionsAsked" : false,
			"StylesheetRules" : ""
		}
	};
}

function imhChiefComplaint() {
	return {
		"ChiefComplaint" : {
			"Text" : (encounterObj.qname) ? toProperCase(encounterObj.qname) : ""
		}
	};
}

function checkTimeout() {
	var now = new Date();
	now = Date.parse(now);
	if (sessionStorage.encstart) {
		var tempstart = Date.parse(sessionStorage.encstart);
		if ((now - tempstart) / 60000 >= 30) {
			imhServiceRequest('DELETE', 'encounters/' + encounterObj.encounterId, '', function(data) {
				if (data.ApiStatus.ApiStatusCode == 5000) {
					var div = jQuery("#disp_question");
					div.empty();
					div.append('<div class="enctimeout"><b><br>We\'re sorry!</b><br><br>Your interview session has been terminated due to inactivity.<br><br>Press "Back" to return to the list of questionnaires and start over.</div>');
					sessionStorage.removeItem('imheid');
					sessionStorage.removeItem('encstart');
					clearInterval(IntId);
					window.savePop = 0;  //Reset the flag so they don't get warned
				}
			});
		}//else{console.log('Elapsed Minutes is: '+((now-tempstart)/60000))}
	}
}

//Called at the end of imhPatientInfoFormSubmit
//<name> and <id> are from the encounterObj, and they are
//both initialized to NULL.  The only place they can be changed
//is imhGetComplaint or imhComplaintSelect
function imhServiceInitEncounter(name, id, patient_info) {
	var area = $('#disp_question');

	imhServiceRequest('POST', 'encounters', '', function(data) {

		encounterObj.error = validateImhEncounterObject(data);
		if(!encounterObj.error){
			//AppMobi.notification.alert('Invalid data in encounters', 'Debug');
			console.log("Invalid data in Encounters");
		}
		if (encounterObj.error) {
		//if (encounterObj.error = validateImhEncounterObject(data)) { //CMT
			var eid = data.Encounter.EncounterId;
			encounterObj.encounterId = eid;

			if (window.sessionStorage) {
				sessionStorage.imheid = encounterObj.encounterId;
				sessionStorage.encstart = new Date();
				IntId = window.setInterval(checkTimeout, 60000);
			}

			imhServiceRequest('PUT', 'encounters/' + eid + '/patient', patient_info, function(data) {
				encounterObj.error = validateImhObject(data);
				if(!encounterObj.error){
					//AppMobi.notification.alert('Invalid data in encounters', 'Debug');
					console.log("Invalid data in Encounters");
				}
				if (encounterObj.error) {
				//if (encounterObj.error = validateImhObject(data)) {

					encounterObj.patient = data.Patient;
					//SET CHIEF COMPLAINT
					imhServiceRequest('PUT','encounters/' + encounterObj.encounterId + '/chiefcomplaint', imhChiefComplaint(), function(data){
					    var qdata = '{"InsertAt":-1,"Questionnaires":[{"Id":"","Name":"'+encounterObj.qname+'"}]}';
					    imhServiceRequest('PUT', 'encounters/' + eid + '/questionnairequeue', JSON.parse(qdata), function(data) {

						    if (data.ApiStatus.ApiStatusCode == 5001 && data.Questionnaires[0].Id == -1) {
							    var div = jQuery("#disp_question");
							    div.empty();
							    imhShowNoSurveyAvailable(div);
						    }
						    //GETS questionnaire name if not provided endpoint desnt seem to work correctly, returns [value1,value2]
						    //GETS QUESTION
						    imhServiceRequest('GET', 'encounters/' + eid + '/question', '', imhProcessQuestion);
					    });
					}); //close for chiefComplaint
				}

			});//Close for /patient
		}
	});
}

///imh process question
function imhProcessQuestion(data) {

	if (validateImhQuestionObject(data)) {  //true
		imhParseQuestion(data);
		if (!encounterObj.current_question.last) {
			//GETS CURSOR POSITION
			if ( typeof (data.InterviewCursor) === 'undefined' || typeof (data.InterviewCursor.Position) === 'undefined') {
				imhServiceRequest('GET', 'encounters/' + encounterObj.encounterId + '/interviewcursor', '', function(data) {
					encounterObj.current_question.cursor_position = data.InterviewCursor.Position;
					window.location.hash = encounterObj.current_question.cursor_position;
					imhRenderPage();
				});
			} else {
				encounterObj.current_question.cursor_position = data.InterviewCursor.Position;
				if (window.location.hash.replace("#", "") == encounterObj.current_question.cursor_position) {
					imhRenderPage();
				} else {
					window.location.hash = encounterObj.current_question.cursor_position;
					imhRenderPage();
				}
			}
		} else {
			//QUESTIONNAIRE IS DONE
			encounterObj.current_question.final_position = encounterObj.current_question.cursor_position;
			encounterObj.current_question.cursor_position = -1;
			window.location.hash = "report";
			imhRenderPage();
		}
	}
}

function imhParseQuestion(data) {

	var links = data.Question.ApiLinks, question_links = {};

	//Get Question Links
	for (var i = 0; i < links.length; i++) {

		switch(links[i].ResourceName) {
			case 'patientanswer'   :
				question_links.patientanswer = imhShortUrl(links[i].URL);
				break;
			case 'interviewcursor' :
				question_links.interviewcursor = imhShortUrl(links[i].URL);
				break;
			case 'report'          :
				question_links.report = imhShortUrl(links[i].URL);
				break;
		}
	}
	encounterObj.current_question.links = question_links;

	//Get End Of Questionnaire
	encounterObj.current_question.last = data.EndOfQuestionnaire;

	//Get Question info
	if ( typeof (data.Question.Question_SingleChoice) !== 'undefined') {
		var q_info = data.Question.Question_SingleChoice, answerObj = jQuery('<div class="answer"></div>'), current_answer = q_info.CurrentPatientAnswerId, answers = q_info.AnswerChoices;

		for (var i = 0; i < answers.length; i++) {
			this_answer = answers[i].AnswerId;
			params = 'type="radio" name="answer_choice" id="answer_choice_' + this_answer + '"';
			params += ((answers[i].AnswerId === current_answer) ? ' checked=checked' : '');
			answerObj.append(jQuery('<input ' + params + ' value="' + this_answer + '">'));
			answerObj.append(jQuery('<label for="answer_choice_' + this_answer + '">' + answers[i].Text + '</label>'));
		}

		encounterObj.current_question.questionObj = jQuery('<div class="question">' + q_info.Text + '</div>');
		encounterObj.current_question.answerId = current_answer;
		encounterObj.current_question.answerObj = answerObj;
	}
}

function imhShortUrl(url) {
	return url.replace(/^https:\/\/www\.ptimhservice\.com\/api\/v2\/imh\//, '');
}

function imhNextQuestion(e) {

	if (e === undefined) {
		var form_answer = jQuery('input[name=answer_choice]:checked');
		if (form_answer.length === 0) {
			AppMobi.notification.alert("You must select an answer before continuing.");
			return;
		} else {
			var answer = getAnswerInfo(parseInt(form_answer.val()));
			imhServiceRequest('PUT', encounterObj.current_question.links.patientanswer, answer, imhProcessQuestion);
		}

	} else {
		imhServiceRequest('PUT', encounterObj.current_question.links.patientanswer, e, imhProcessQuestion);
	}
	//appt_asstRollAds();
}

function awaitAnswer() {
//wait for answer!

	jQuery('button[name=answer_choice]').click(function() {
		var answer = getAnswerInfo(parseInt(jQuery(this).val()));
		//Submits answer and shows next question
		imhNextQuestion(answer);
	});

}

//MOVES InterviewCursor forward or backward based on hash changes in URL
$(window).bind('hashchange', function(e) {
	//console.log('Checking Hash Change');
	var stub = pathArray[3].split('?');
	stub = stub[0];
	var urls = protocol + '//' + host + '/' + stub;
	var temphash = window.location.hash;
	temphash = temphash.replace("#", "");
	//console.log(urls+'/'+temphash);

});

function imhSkipQuestion() {

	var answer = getAnswerInfo(-1);
	imhServiceRequest('PUT', encounterObj.current_question.links.patientanswer, answer, imhProcessQuestion);
	//appt_asstRollAds();
}

function imhPrevQuestion() {

	imhServiceRequest('PUT', encounterObj.current_question.links.interviewcursor, getCursorInfo(false), imhProcessQuestion);

	//appt_asstRollAds();
}

function imhRenderPage() {

	//$("#loadingSpinner").hide();
	var div = $('#disp_question');

	if (sessionStorage.encstart) {
		sessionStorage.encstart = new Date();
	}

	div.html("");

	//Render Page
	if (encounterObj.show_report) {
		div.append(encounterObj.report_data);
		
	} else {
		var cq = encounterObj.current_question;
		if (cq.last) {
			if (cq.final_position === -1) {
				imhShowNoSurveyAvailable(div, cq);
			} else {
				imhShowQuentionnaireComplete(div, cq);
			}
		} else {
			imhShowQuestion(div, cq);
			awaitAnswer();
		}
	}
	surveyScroller.scrollTo({x:0,y:0});
}

function imhShowNoSurveyAvailable(div, cq) {
	div.append('<div class="Main"><div class="Title2"><span>Interview Complete</span></div><div class="QuestionTextAndAnswersBox"><div class="QuestionText" style="font-size:12pt; font-weight: normal;">There are no questions to ask. This can happen if there are no questions for the gender, age, and complaint that were supplied. You can restart the interview and try a different complaint. Also check that your gender and date of birth are correct. Please contact your provider for more details.<br /><br />Click Next to continue.</div><div style="clear:both;"></div></div><div class="ButtonRow"><p class= "ButtonRow">&nbsp;</p></div>');
}


function imhShowReport() {
	$("#surveyHeader #shareDots").show();
	
	//if(localStorage.getItem("pcmiSaveInstructions") == null) AppMobi.notification.confirm("To save your results, tap the button with three dots in the upper right-hand corner of the screen.  If you choose \"Save to My List\", you will still have the option email your results or move them to the cloud later.  Touch \"Hide\" to not show this popup again.", "saveInstructionsPop", "Questionnaire Complete!", "Hide", "Okay");

	$("#saveDisclaimer").show();
/*
	setTimeout(function(){
		//Highlight the shareDots
		//$("#surveyHeader #shareDots").attr('style','background-color:#FFFF00');
		$("#surveyHeader #shareDots").css({'background-color':'#FFFF00','transition':'background-color 1s'});
		console.log("Highlighting");
	}, 1500);
	setTimeout(function(){
		//Unhighlight
		console.log("Unhighlighting");
		//$("#surveyHeader #shareDots").attr('style','background-color:rgba(0,0,0,0)');
		$("#surveyHeader #shareDots").css({'background-color':'','transition':'background-color 1s'});
	},2300); 
	*/

	window.savePop = 2;
	surveyScroller.scrollTo({x:0,y:0});

	imhServiceRequest('POST', encounterObj.current_question.links.report, defaultReportInfo(), function(data) {
		if (validateImhReportObject(data)) {
			encounterObj.show_report = true;
			encounterObj.report_data = data.Report.Data;
			imhRenderPage();
			jQuery("#IMH_InterviewDateTime").prepend('<div class="IMH_Heading0">Interview Report</div>');
		}
	});

}

function imhShowQuentionnaireComplete(div, questionInfo) {

	var button = jQuery('<button class="CommandButton" id="btnReport" onclick="imhShowReport();">View Report</button>');
	var wrapper01 = jQuery('<p class="ButtonRow"></p>');
	var wrapper02 = jQuery('<div class="ButtonRow"></div>');
	div.append('<div class="Title1"><span>Interview Complete</span></div>');
	div.append('<div><br />You have finished your questionnaire.<br />&nbsp;</div>');

	//piwik survey complete
	_paq.push(['trackPageView', '/window/survey/'+encounterObj.qname+'/finished']);

	imhShowReport();
}

function imhShowQuestion(div, questionInfo) {
	div.append(questionInfo.questionObj[0]);
	div.append("<br>");

	var temp = $(questionInfo.answerObj[0]).get(0).outerHTML ;

	temp = temp.replace(/<input/g, "<button");

	temp = temp.replace(/label/g, "p");

    //var newElement = $(temp).get(0).outerHTML.replace(/^<input/, "<button");
    //$(temp).replaceWith(newElement);

    div.append( temp );
	var div2 = jQuery(".answer");
	if (encounterObj.current_question.cursor_position > 0) {
		div.append('<button type="radio" name="prevq" id="prevq" class="prev greyButton" value="Prev" style="margin-top:18px" onclick="imhPrevQuestion();"><p for="prevq">Previous</p></button>');
	}
	div2.append('<button type="radio" name="skipq" class="skip" id="skipq" value="Skip" onclick="imhSkipQuestion();"><p style="padding-right:1px;" for="skipq">Skip this question</p></button>');

}

function imgProcessComplaint(){

	var qn = encounterObj.qname;

	if (qn != undefined) {
		qn = qn.replace(/%[0-9][0-9]/, "");
		qn = qn.replace("/", "_and_", "g");
		qn = qn.replace(/_/g, " ");
		qn = decodeURI(qn);
	}
	encounterObj.qname = qn;
 	imhChangeHeader(qn);
}

//PROPER cases and concatenates questionnaire name for header display
function imhChangeHeader(e) {
	if (e === "adhd" || e === "add") {
		jQuery('.tbox .box-title').html('Pre-Refill - ADD/ADHD');
	} else {
		if (e === 'refill' || e === 'refills') {
			jQuery('.tbox .box-title').html('Pre-Refill');
		} else {
			jQuery('.tbox .box-title').html('Pre-Refill - ' + toProperCase(e));
		}
	}
}

function toProperCase(s) {
	return s.toLowerCase().replace(/^(.)|\s(.)/g, function($1) {
		return $1.toUpperCase();
	});
}

//This function is called when the patient hits the NEXT button after entering their info
function imhPatientInfoFormSubmit() {
	imgProcessComplaint();

	//Added by Max to soft code age restriction
	var today = new Date();
	var currYear = today.getFullYear();
	var birthYear = parseInt($("#disp_question select[name=byear]").val());
	var age = currYear - birthYear;

	var birthday = $("#birthday").val();

	var bYear = currYear - birthday;
	bYear += '';
	var bMonth = '';
	var bDay = '';

	var fieldsComplete = true;
	if($("#disp_question input[name=gender]:checked").val() == undefined){
		fieldsComplete = false;
	}
	if ((birthday===undefined) || (birthday==='')){
		fieldsComplete = false;
	}

	if (!fieldsComplete){
		/*
		var firstName = "The";
		var middleName = "";
		var lastName = "Patient";
		var gender = "Female";
		var dob = {
			day : "11",
			month : "11",
			year : "1990" 
		};
		var patient = getPatientInfo(firstName, middleName, lastName, gender, dob);
		imhServiceInitEncounter(encounterObj.qname, encounterObj.qid, patient);
		*/
		AppMobi.notification.alert("All fields are required", "Incomplete");
	} else {
		var firstName = "The";
		var middleName = "";
		var lastName = "Patient";
		var gender = $("#disp_question input[name=gender]:checked").val();
		var dob = {
			day : bDay,
			month : bMonth,
			year : bYear
		};

		//Creates a patient object out of all the fields.
		//If no name is provided (currently there is no name field, so that
		//is the default) the name is set to The Patient
		var patient = getPatientInfo(firstName, middleName, lastName, gender, dob);

		//Piwik begin survey
		_paq.push(['trackPageView', '/window/survey/'+encounterObj.qname+'/begin']);

		imhServiceInitEncounter(encounterObj.qname, encounterObj.qid, patient);
	}
}

var encounterObj = {
	'error' : false,
	'initialized' : false,
	'encounterId' : null,
	'patient' : null,
	'provider' : null,
	'show_report' : false,
	'report_data' : null,
	'qid' : null,
	'current_question' : {
		'cursor_position' : -1,
		'final_position' : -1
	}
};

