function onInAppWebViewCallback(){
	$('#refillComplete').show();
}

function loadSurveys(){

	//Clear out contents as to not append the same rows again and again
	$('#listOfQuestionnaire').html('');

	//Pull in JSON of survey names
	$.get('json/surveys.json',
		function(data){

			surveysJSON = $.parseJSON(data);

			//Construct list of surveys, go to that survey when tapped. I use method setCurrentSurvey('name') to set the current survey
			var tempList = '';
			for(var i = 0; i < surveysJSON.surveys.length; i++){
				var code = surveysJSON.surveys[i].surveyName;
				var name = surveysJSON.surveys[i].commonName;
				var disc = surveysJSON.surveys[i].disclaimer;

			//	$('#listOfQuestionnaire').append('<li left:0px;"> <div id="fullLink" onclick="setCurrentSurvey(' + i + ');javascript:$.ui.loadContent(\'#pre-refill\',false,false,\'slide\');"> <div id="fullLink-arrow" ></div> <p >' + name + '</p></div> </li>');
				tempList += '<li left:0px;"> <div id="fullLink" onclick="setCurrentSurvey(' + i + ');javascript:$.ui.loadContent(\'#pre-refill\',false,false,\'slide\');"> <div id="fullLink-arrow" ></div> <p >' + name + '</p></div> </li>';
			}
			$('#listOfQuestionnaire').append(tempList);
		}
	);
	switchSurvey();
	//questionnairesScroller.scrollTo();
}

//Switch between the survey list and the saved surveys
function switchSurvey(){
	//$("#editButton").attr("style","display:none");
	$("#editButton").hide();

	var ios = "";
	//if(window.callos == "ios") ios = " ios7";

	$('#newQsSwap').removeClass('selectedFav' + ios);
	$('#newQsSwap').removeClass('unselectedFav' + ios);
	$('#savedQsSwap').removeClass('selectedFav' + ios);
	$('#savedQsSwap').removeClass('unselectedFav' + ios);
	$('#newQsSwap').addClass('selectedFav' + ios);
	$('#savedQsSwap').addClass('unselectedFav' + ios);


	$( "#savedSurveysDiv" ).hide();
	//$( "#listOfQuestionnaire" ).show();
	$( "#listOfQscroller" ).show();
	showAd();
}

function switchSaved(){
	//$("#editButton").attr("style","display:block;float:right");
	$("#editButton").show();

	var ios = "";
	//if(window.callos == "ios") ios = " ios7";

	$('#newQsSwap').removeClass('selectedFav' + ios);
	$('#newQsSwap').removeClass('unselectedFav' + ios);
	$('#savedQsSwap').removeClass('selectedFav' + ios);
	$('#savedQsSwap').removeClass('unselectedFav' + ios);
	$('#newQsSwap').addClass('unselectedFav' + ios);
	$('#savedQsSwap').addClass('selectedFav' + ios);



	loadSurveyList();
	$( "#savedSurveysDiv" ).show();
	//$( "#listOfQuestionnaire" ).hide();
	$( "#listOfQscroller" ).hide();
	hideAd();
}
