function askWebview(){
    var url = 'https://www.rxwiki.com/askrx?';
	window.currentURL = url;
	$.ui.loadContent('panel-webview',false,false,'slide');
	$("#webviewBlue").html("Ask");
	contentWebview(url);
}

function newsWebview(){
    //var url = 'http://www.rxwiki.com/articles/news_story?f[0]=field_conditions?';
    var url = 'http://www.' + window.appName[window.appType]["lower"] + '.com/articles/news_story?f[0]=field_conditions';

	$("#newsBar").html("News");
	window.currentURL = url;
	contentWebview(url, true);
}

function featureWebview(){
    //var url = 'http://www.rxwiki.com/articles/feature?f[0]=field_conditions?';
    var url = 'http://www.' + window.appName[window.appType]["lower"] + '.com/articles/feature?f[0]=field_conditions';

	$("#testFeature").html("Feature");
	window.currentURL = url;
	contentWebview(url, true);
	$.ui.loadContent('#features', false ,false , 'slide');
}

function medsWebview(){
    //var url = 'http://www.rxwiki.com/top_medications';
    var url = 'http://www.rxwiki.com/atozmeds/a';
	window.currentURL = url;
	contentWebview(url);
	$.ui.loadContent('panel-webview',false,false,'slide');
	$("#webviewBlue").html("Medications");
}

function contentWebview(u, taxbar) {
	//$.ui.loadContent('panel-webview',false,false,'slide');
	console.log(u);
    var obj = {};
    obj.url = u;
	obj.urlFroo = 'utm_source=' + window.uuid + '&utm_medium=app&utm_campaign=app';
	obj.adPages = ["top_medications", "articles"];

	try{
    	MyPlugin.worker.loadPage(JSON.stringify(obj));
	} catch(e){
		//alert("Failed to loadPage " + u);
		console.log("Oops");
	}
}

function webviewBack(){
	//If they're on a listing page
	if((window.currentURL != undefined) && (window.currentURL.indexOf('field_conditions') != -1)){
		homeWeb();
	} else {
		try{
			MyPlugin.worker.backWebview();
		} catch(e) {
			//$.ui.goBack();
			//$.ui.loadContent('frontMenu', false, false, 'slide');
			$.ui.loadContent('frontMenu', false, true, 'slide');
		}
	}
}

function webviewDone(){
	MyPlugin.worker.closeWebview();
	//$.ui.loadContent('frontMenu', false, false, 'slide');
	$.ui.loadContent('frontMenu', false, true, 'slide');
	//$.ui.goBack();
}

function webviewStartLoadCallback(e) {
    //alert("array len = " + window.webviewHistory.length + " url = " + e.url);
}

function webviewFinishLoadCallback(e){
	//alert("Page finished load");
	window.currentURL = e.pageUrl;
	window.currentPageTitle = e.pageName;
	if(e.message) alert(e.message);

	url = window.currentURL;
	if(url.indexOf("news") != -1){
		type = 'News';
	} else if(url.indexOf("feature") != -1){
		type = 'Feature';
	} else if(url.indexOf("askrx") != -1){
		type = 'Ask';
	} else if(url.indexOf("condition") != -1){
		type = 'Condition';
	} else if(url.indexOf("encyclopedia") != -1){
		type = 'Encyclopedia';
	} else {
		type = 'Medications';
	}


	$("#webviewBlue").html(type);
	$("#newsBar").html(type);
	$("#testFeature").html(type);
}

function menuAction(e){
	switch(e.action){
		case "share":
			shareWeb();
			break;
		case "save":
			favoriteWeb();
			break;
		case "home":
			homeWeb();
			break;
	}
}

function homeWeb(){
	try{
		MyPlugin.worker.closeWebview();
	} catch(e){
		console.log('oops');
	}
	//$.ui.loadContent('frontMenu', false, false, 'slide');
	$.ui.loadContent('frontMenu', false, true, 'slide');
}

function shareWeb(){
	var url = window.currentURL;
	console.log(url);

	if(url.indexOf("?") != -1) url = url.substring(0,url.indexOf("?"));

	var utm = "?utm_source=" + escape( window.uuid + 'share'); //escape( window.appType+"App" );
	utm += "&utm_medium=" + escape( window.appType+'App' );//escape( (window.pharmacyName!== undefined ?  window.pharmacyName : window.appType)  );
	utm +="&utm_campaign=" + escape(window.callos );

	url += utm;

	var medObj = {
			'title' : "unused",
			'content' : window.currentPageTitle + ':\n' + url + "\n\nGet the latest medication and healthcare news on your smartphone.  Click here to download:\n\n" + window.appShareLink[window.callos][window.appType], 
			'action' : "unused",
			'emailCopy' : '',
			'subject' : "\"" + window.currentPageTitle + '\" from '+ window.appName[window.appType]["standard"]
			
	}

	MyPlugin.worker.share(JSON.stringify(medObj));
}




function favoriteWeb(){
	console.log("Adding " + window.currentPageTitle + " to favorites");
	console.log(window.currentURL);

	var url = window.currentURL.toLowerCase();
	var type;
	if(url.indexOf("news") != -1){
		type = 'news';
	} else if(url.indexOf("feature") != -1){
		type = 'feature';
	} else if(url.indexOf("askrx") != -1){
		type = 'ask';
	} else if(url.indexOf("condition") != -1){
		type = 'condition';
	} else if(url.indexOf("encyclopedia") != -1){
		type = 'encyclopedia';
	} else {
		type = 'medication';
	}

	var name;
	if(window.currentPageTitle.length>90){
		name = window.currentPageTitle.substring(0,86) + '...';
	} else {
		name = window.currentPageTitle;
	}

	var favoriteEntry = {
		//'name': window.currentPageTitle,
		'name': name,
		'url': window.currentURL,
		'type': type
	};

	var favorites = localStorage.getItem('webFavorites' + window.uuid);
	if(favorites == undefined){
		var favArray = [favoriteEntry];
		localStorage.setItem('webFavorites' + window.uuid, JSON.stringify(favArray));
	} else {
		var favoritesList = JSON.parse(favorites);
		favoritesList.push(favoriteEntry);
		localStorage.setItem('webFavorites' + window.uuid, JSON.stringify(favoritesList));
	}
	AppMobi.notification.alert("This page has been added to your favorites.","Added to Favorites","Ok")
}

function loadTaxView(tid){
	MyPlugin.worker.loadWebViewUrl('http://www.' + window.appName[window.appType]["lower"] + '.com/articles/feature?f[0]=field_conditions%3A' + tid);
}
function loadNewsView(tid){
	MyPlugin.worker.loadWebViewUrl('http://www.' + window.appName[window.appType]["lower"] + '.com/articles/news_story?f[0]=field_conditions%3A' + tid);
}
