var panelHistory = {
	lastAdded: '',
	memory: [],
	pointer: null,
	add: function(panel){
		if (this.pointer != null){
			this.memory.splice(this.pointer, this.memory.length);
			this.pointer = null;
		}
		this.lastAdded = $(panel).attr('data-udid');
		var panelUdid = $(panel).attr('data-udid');
		var panelHtml = $(panel).html();
		var info = {name:panel,udid:panelUdid,html:panelHtml};
		this.memory.push(info);
	},
	remove: function(panelKey){
		if(typeof panelKey == String && panelKey != undefined){

		} else if(typeof panelKey == int && panelKey != undefined){
			delete this.memory[panelKey];
		}
	},
	pop: function(){
		return this.memory.pop();
	},
	purge: function(){
		this.memory = [];
	},
	find: function(udid){
		for (var i = 0; i < this.memory.length; i++){
			if(this.memory[i].udid == udid){
				return true;
			}
		}
	},
	list: function(){
		var list = [];
		for (var i = 0; i < this.memory.length; i++){
			for (var k in this.memory[i]) list.push(k.udid);
		}
		return list;
	},
	back: function(){
		if (this.pointer == null && this.memory != []){
			this.pointer = this.memory.length -2;}
		else{
			this.pointer = this.pointer-1;
		}
		if (this.pointer < 0){return 'lastPage';}
		else{
			//take data and load it into panel name with data-udid of udid and html of html
			this.loadPanel(this.pointer);
			//loadContent to panel
		}
	},
	forward: function(){
		if (this.pointer == null){
			return false;
		}
		else{
			if(this.pointer+2 == this.memory.length){
				this.pointer=null;
				this.loadPanel(this.memory.length);
			}
			else{
				this.pointer=this.pointer+1;
				this.loadPanel(this.pointer);
			}
		}
	},
	resetPointer: function(){this.pointer = null;},
	clearHistory: function(){this.pointer = null; this.memory=[]; this.lastAdded = ''},
	loadPanel: function(point){
		$(this.memory[point].name).html(this.memory[point].html);
		$(this.memory[point].name).attr('data-udid',this.memory[point].udid);
		$.ui.loadContent(this.memory[point].name, false, false, "slide");
	},
	refreshItems: function(uuid){
		$.each(this.memory, function(i,data){
			if (data.udid == uuid){
				data.html = $(data.name).html();
			}
		});
	}
}
function backMed(){
	var response = panelHistory.back();
	console.log("backMed reinit scroller");
	medScroll = $('#medContainer').scroller({scrollBars:false});
	setTimeout(function() {
		medScroll = $('#medContainer').scroller({scrollBars:false});
	}, 300);

	if(response == 'lastPage'){
		panelHistory.clearHistory();
		$.ui.goBack();
	}
}
