//Search Input handling

function searchOnFocus() {
    _paq.push(['trackPageView', '/window/med_page_search/show']);
    hideAd();
    if (window.callos == "ios") {
        $("#searchOverlay").hide();
        //$("#searchOverlay").remove();
/*//Non-magnifying glass logic
		if($("#searchInput")[0].value == 'Search'){
			$("#searchInput")[0].value = '';
			$("#searchInput").attr('style', 'text-align:left;color:black');
		}
		$("#searchInput").attr('style','background-image:url("")');
		//*/
    } else {
        if ($("#searchInput")[0].value == 'Enter Medication Name') {
            $("#searchInput")[0].value = '';
        }
    }
}

function searchOnBlur() {
    if (window.callos == "ios") {
        if ($("#searchInput")[0].value == '') {
            $("#searchOverlay").show();
			var curr = $("#search-bar").html();
			curr += '<div id="searchOverlay" style="z-index:2" onclick="javascript:searchOnFocus();$(\'#searchInput\').focus();"><img src="images/search-button.png"></img><div id="searchWord"> Search </div></div>';
			$("#search-bar").html(curr);
			//*/
/*//Non-magnifying glass logic
			$("#searchInput")[0].value ='Search';
			$("#searchInput").attr('style', 'text-align:center;color:#888888');
			$("#searchInput").attr('style','background-image:url("images/search-button.png")');
			//*/
        } else {}
    } else {
        if ($("#searchInput")[0].value == '') {
            $("#searchInput")[0].value = 'Enter Medication Name';
        } else {}
    }
}

function searchOnKeyup() {
    if (event.keyCode != 13) {
        searchMed($("#searchInput")[0]);
    } else {
        return false;
    }
}
var scrollTracking = '';


function medPanelLoad(){
	//*
	console.log("MedPanelLoad reinit scroller");
	setTimeout(function() {
		medScroll = $('#medContainer').scroller({scrollBars:false});
	}, 300);
	//*/
}

function loadMeds(info) {
    var letter = '';
    $('#loadingSpinner').show();
    if (info == '0') {
        letter = info;
    } else {
        letter = info.innerHTML;
    }
    var listFlag = localStorage.getItem('medpage' + window.uuid + letter);
    var html = '';
    if (window.lastLoadedLetter == letter) {
        $.ui.loadContent('medList', false, false, 'slide');
        $('#loadingSpinner').hide();
    } else {
        window.lastLoadedLetter = letter;
        if (listFlag == undefined) {
			url2 = "http://www.rxwiki.com/frag/mobile/atoz/" + letter;
			console.log("url = " + url2);
            $.ajax({
                //url: "http://www.rxwiki.com/frag/mobile/atoz/" + letter,
				url: url2,
                contentType: "application/json",
                dataType: "json",
                beforeSend: function(x) {
					console.log("loadMeds url = ");
					console.log(url2 + "");
					console.log("___________");
                    if (x && x.overrideMimeType) {
                        x.overrideMimeType("application/j-son;charset=UTF-8");
                    }
                },
                success: function(sjson) {
                    console.log("Successful call to /frag/mobile/atoz");
                    console.log(sjson);
                    $.each(sjson.Items, function(i, medication) {
                        if (medication != null) {
                            html += '<li onclick="javascript:loadMedication(\'' + medication.uuid + '\')">' + medication.title + '</li>';
                        }
                    });
                    $('#medLetter').html(letter);
                    $('#fullMedList').html(html);
                    localStorage.setItem('medpage' + window.uuid + info, html);
                    $.ui.loadContent('medList', false, false, 'slide');
                },
                error: function(XMLHttpRequest, textStatus, errorThrown) {
                    var sjson = JSON.stringify(XMLHttpRequest.responseText);
					console.log("AJAX error in loadMed");
                    console.log(XMLHttpRequest);
                    AppMobi.notification.alert('You are not currently connected to the internet. You will not be able to view articles without a data connection.', 'No Connection');
                    $('#loadingSpinner').hide();
                },
                complete: function(sjson) {
                    medListScroll.scrollTo({
                        x: 0,
                        y: 0
                    });
                    $('#loadingSpinner').hide();
                    html = '';
                    listFlag = '';
                    info = '';
                    letter = '';
                }
            });
			//*
			if(letter.charAt(1) == "*"){
				AppMobi.notification.alert("This page may take a moment to load, many matching medications were found.", "Long load", "Okay");	
			}
			//*/
        } else {
            window.lastLoadedLetter = letter;
            $('#medLetter').html(letter);
            $('#fullMedList').html(listFlag);
            $.ui.loadContent('medList', false, false, 'slide');
            $('#loadingSpinner').hide();
        }
    }
}

/////////////////////////////////


function loadNumberedMeds() {
    var letter = '';
    $('#loadingSpinner').show();
    numberMedHTML = '';
    numberAjax(1);
}

function numberAjax(i) {
	var url2 = "http://www.rxwiki.com/frag/mobile/atoz/" + i;
    $.ajax({
        url: url2,
        contentType: "application/json",
        dataType: "json",
        beforeSend: function(x) {
            if (x && x.overrideMimeType) {
                x.overrideMimeType("application/j-son;charset=UTF-8");
            }
        },
        success: function(sjson) {
            $.each(sjson.Items, function(i, medication) {
                if (medication != null) {
                    numberMedHTML += '<li onclick="javascript:loadMedication(\'' + medication.uuid + '\')">' + medication.title + '</li>';
                }
            });
        },
        error: function(XMLHttpRequest, textStatus, errorThrown) {
            var sjson = JSON.stringify(XMLHttpRequest.responseText);
            console.log("AJAX error in loadMed");
            console.log(XMLHttpRequest);
            AppMobi.notification.alert('You are not currently connected to the internet. You will not be able to view articles without a data connection.', 'No Connection');
            $('#loadingSpinner').hide();
        },
		complete: function(){
			if(i==9){
				$('#medLetter').html("#");
				$('#fullMedList').html(numberMedHTML);
				localStorage.setItem('medpage' + window.uuid + info, numberMedHTML);
				medListScroll.scrollTo({
					x: 0,
					y: 0
				});
				$.ui.loadContent('medList', false, false, 'slide');
				$('#loadingSpinner').hide();		
			} else {
				numberAjax(++i);
			}
		}
    });
}

//////////////////////////////////

window.elWatch = {};

function loadMedication(meduuid, sectionName) {
    $('#loadingSpinner').show();
	console.log("LoadMedication reinit scroller");
	setTimeout(function() {
		medScroll = $('#medContainer').scroller({scrollBars:false});
	}, 300);

    try {
        if (localStorage.getItem('medication' + window.uuid + meduuid)) { //change me to undefined
            storyCache = localStorage.getItem('medication' + window.uuid + meduuid);
            storyCache = JSON.parse(storyCache);
            var timeStamp = new Date();
            var timeDifference = Date.parse(timeStamp) - storyCache.timestamp;
            if (timeDifference.toString() > 0) { //CHANGE ME BACK @NOWNOWNOW
                localStorage.removeItem('medication' + window.uuid + meduuid);
            }
        }
    } catch (err) {
        localStorage.removeItem('medication' + window.uuid + meduuid)
    }
    var conMed = JSON.parse(localStorage.getItem('medication' + window.uuid + meduuid));
    if (conMed == undefined || conMed == null) {
		console.log("url2 = " +"http://rxwiki.com/frag/mobile/node/" + meduuid); 
        $.ajax({
            url: "http://rxwiki.com/frag/mobile/node/" + meduuid,
            contentType: "application/json",
            dataType: "json",
            beforeSend: function(x) {
                if (x && x.overrideMimeType) {
                    x.overrideMimeType("application/j-son;charset=UTF-8");
                }
            },
            success: function(sjson) {
                $('#medContainer').html(processMedPage(sjson));
				//*
				if($("#brandInfo").length){
					var right = $("#brandInfo .infoRight").css('height');
					var left = $("#brandInfo .infoLeft").css('height');
					var r = right.substring(0,right.length-2);
					var l = left.substring(0,left.length-2);
					if(r < l){
						$("#brandInfo .infoRight").css('min-height', Math.max(r,l) + "px");
					}
				}
				//*/
                $('#loadingSpinner').hide();
            },
            error: function(XMLHttpRequest, textStatus, errorThrown) {
                $('#loadingSpinner').hide();
            },
            complete: function(sjson) {
                $('#medication').attr('data-udid', meduuid);
                panelHistory.add('#medication');
                var time = new Date();
                localStorage.setItem('medication' + window.uuid + meduuid, JSON.stringify({
                    html: $('#medication').html(),
                    timestamp: time.valueOf()
                }));
                jQuery('.medSubSection').hide();
                if (sectionName != '' && sectionName != undefined && sectionName != null){
                    medScroll.scrollToItem('#'+sectionName);
                    $('#'+sectionName +'Med').show();
        			$('#'+sectionName).addClass('open');
                } else {
					medScroll.scrollTo({
         	  	        x: 0,
            	        y: 0
                	});
				}
                $.ui.loadContent('#medication', false, false, 'slide');
            }
        });
    } else {
        $('#medication').attr('data-udid', meduuid);
        panelHistory.add('#medication');
        $('#medication').html(conMed.html);
        jQuery('.medSubSection').hide();
        medScroll.scrollTo({
            x: 0,
            y: 0
        });
        $('#loadingSpinner').hide();
        $.ui.loadContent('#medication', false, false, 'slide');
        if (sectionName != '' && sectionName != undefined && sectionName != null){
            medScroll.scrollToItem('#'+sectionName);
            $('#'+sectionName +'Med').show();
        }
    }
}

function searchMed(info) {
    //$('#searchInput').focus();
    if (info.value.length > 0) {
        $('#alphaMedList').html('');
        //$('#searchInput').focus();
        var html = '<ul class="listClass" id="fullMedList2">';
        url1 = "http://" + window.finalURL + '/frag/mobile/rx-atoz/' + info.value;
		console.log("searchMed url = ");
		console.log(url1);
        $.ajax({
            //url: "http://" + window.finalURL + '/frag/mobile/rx-atoz/' + info.value,
			url: url1,
            contentType: "application/json",
            dataType: "json",
            beforeSend: function(x) {
                if (x && x.overrideMimeType) {
                    x.overrideMimeType("application/j-son;charset=UTF-8");
                }
            },
            success: function(sjson) {
                $.each(sjson.Items, function(i, medication) {
                    html += '<li onclick="javascript:loadMedication(\'' + medication.uuid + '\')">' + medication.title + '</li>';
                });
                html += '</ul>';
            },
            error: function(XMLHttpRequest, textStatus, errorThrown) {
                var sjson = JSON.stringify(XMLHttpRequest.responseText);
                AppMobi.notification.alert('You are not currently connected to the internet. You will not be able to view articles without a data connection.', 'No Connection');
            },
            complete: function(sjson) {
                //$('#searchInput').focus();
                $('#alphaMedList').html(html);
                //$('#searchInput').focus();
                html = '';
                listFlag = '';
                info = '';
                letter = '';
                window.medListScroll2 = $('#fullMedList2').scroller({
                    scrollBars: false
                });
            }
        });
    } else {
        setTimeout(function() {
            $('#alphaMedList').html(alphaMedications);
        }, 500);
    }
}
var alphaMedications = "<div style=\"width:100%;text-align:center;\"><div style=\"text-align:center;margin-left:auto; margin-right:auto;font-size:18px;line-height:40px;height:40px;color:#1b75b9;font-weight:800;\">Browse Alphabetically</div></div><div style=\"word-wrap:break-word;\"><div class='medABC' onclick='javascript:loadMedpages(\"-\");'>#</div><div class='medABC' onclick='javascript:loadMedpages(this);'>A</div><div class='medABC' onclick='javascript:loadMedpages(this);'>B</div><div class='medABC' onclick='javascript:loadMedpages(this);'>C</div><div class='medABC' onclick='javascript:loadMedpages(this);'>D</div><div class='medABC' onclick='javascript:loadMedpages(this);'>E</div><div class='medABC' onclick='javascript:loadMedpages(this);'>F</div><div class='medABC' onclick='javascript:loadMedpages(this);'>G</div><div class='medABC' onclick='javascript:loadMedpages(this);'>H</div><div class='medABC' onclick='javascript:loadMedpages(this);'>I</div><div class='medABC' onclick='javascript:loadMedpages(this);'>J</div><div class='medABC' onclick='javascript:loadMedpages(this);'>K</div><div class='medABC' onclick='javascript:loadMedpages(this);'>L</div><div class='medABC' onclick='javascript:loadMedpages(this);'>M</div><div class='medABC' onclick='javascript:loadMedpages(this);'>N</div><div class='medABC' onclick='javascript:loadMedpages(this);'>O</div><div class='medABC' onclick='javascript:loadMedpages(this);'>P</div><div class='medABC' onclick='javascript:loadMedpages(this);'>Q</div><div class='medABC' onclick='javascript:loadMedpages(this);'>R</div><div class='medABC' onclick='javascript:loadMedpages(this);'>S</div><div class='medABC' onclick='javascript:loadMedpages(this);'>T</div><div class='medABC' onclick='javascript:loadMedpages(this);'>U</div><div class='medABC' onclick='javascript:loadMedpages(this);'>V</div><div class='medABC' onclick='javascript:loadMedpages(this);'>W</div><div class='medABC' onclick='javascript:loadMedpages(this);'>X</div><div class='medABC' onclick='javascript:loadMedpages(this);'>Y</div><div class='medABC' onclick='javascript:loadMedpages(this);'>Z</div></div>";
var xhr = '';

function navMedScroll(element) {
    var gotoHere = element.id.substring(3);
    window.elementtotal = element;
    var previousHtml, nextHtml = '';
    medScroll.scrollBy({
        x: 0,
        y: ($('#' + gotoHere).offset().top - 48 - 30 - 22 - 20)
    });
    if (element.previousElementSibling != null) {
        previousHtml = element.previousElementSibling.innerHTML;
        previousHtml = '<div onclick="directMedScroll(\'' + previousHtml.replace(/\s+/g, '').toLowerCase() + '\',this)">' + previousHtml + '</div>';
    } else {
        $('#previousSection').html('');
    }
    if (element.nextElementSibling != null) {
        nextHtml = element.nextElementSibling.innerHTML;
        nextHtml = '<div onclick="directMedScroll(\'' + nextHtml.replace(/\s+/g, '').toLowerCase() + '\',this)">' + nextHtml + '</div>';
    } else {
        $('#nextSection').html('');
    }
    $('#previousSection').html(previousHtml);
    $('#nextSection').html(nextHtml);
    $('#currentDiv').html(element.innerHTML);
    $('#callout ul li ').each(function(i) {
        $(this).attr('style', '');
    });
    $(element).attr('style', 'font-weight:bold;');
    close_box();
}

function clearMeds() {
    $('#meddiv').html('');
    $('#medTitle').html('');
    $('#currentSection').html('');
    $('#nextSection').html('');
    $('#previousSection').html('');
    document.removeEventListener('touchmove', function(e) {
        if (e.target.offsetParent.id == 'medication') {
            $.each(window.elWatch, function(i, sdata) {
                givenElementInViewport(sdata);
            });
        }
    }, false);
}

function openExtLink() {
    var lastCode = window.uuid;
    var test = '';
    if (lastCode == 'rxwiki' || lastCode == 'therapist' || lastCode == 'oncologist' || lastCode == 'dailyrx') {} else {
        test = lastCode;
    }
    if (window.appType == "dailyrx") {
        var URL = 'http://www.dailyrx.com?utm_source=HomeScreen' + test + '&utm_medium=' + window.appType + 'app&utm_campaign=' + window.callos;
    } else if (window.appType == "rxwiki") {
        var URL = 'http://www.rxwiki.com?utm_source=HomeScreen' + test + '&utm_medium=' + window.appType + 'app&utm_campaign=' + window.callos;
    }
    //AppMobi.device.launchExternal(URL)
    hackURL(URL);
}

function openAsk() {
    var lastCode = window.uuid;
    var test = '';
    if (lastCode == 'rxwiki' || lastCode == 'therapist' || lastCode == 'oncologist' || lastCode == 'dailyrx') {} else {
        test = lastCode;
    }
    //var URL = 'http://www.dailyrx.com?utm_source=HomeScreen' + test + '&utm_medium=' + window.appType +'app&utm_campaign='+ window.callos;
    var URL = 'http://www.rxwiki.com/askrx/questions?utm_source=HomeScreen' + test + '&utm_medium=' + window.appType + 'app&utm_campaign=' + window.callos;
    //AppMobi.device.launchExternal(URL)
    hackURL(URL);
}

function open_box() {
    //$('#nav li ul').show();
    $("#callout").show();
}

function close_box() {
    //$('#nav li ul').hide();
    //console.log("Hiding callout");
    setTimeout(function() {
        $("#callout").hide();
    }, 50);
}

function newSearchMeds(textBox) {
}

function processMedPage(sjson) {
    var html = '';
    var pearls = '';
    var title = '';
    var brandNames = '';
	window.fullBrandNames = '';
	window.shortBrandNames = '';
    var warnings = '';
    var drugClasses = '';
    var precautions = '';
    var warnSection = '';
    $.each(sjson.Items[0], function(i, data) {
        //console.log(i);
        if (i == 'sections') {
            $.each(sjson.Items[0].sections, function(i, data) {
                //console.log(data);
                //console.log(typeof data);
                if (data == null) {} else if (i == 'Brand Names') {
					
                    $.each(data, function(i, sdata) {
						window.fullBrandNames += "<a onclick='loadMedication(\"" + sdata.uuid + "\")'>" + sdata.title + "</a>, ";
						if(i<5){
                        	brandNames += "<a onclick='loadMedication(\"" + sdata.uuid + "\")'>" + sdata.title + "</a>, ";
						} else if (i==5){
							brandNames += "...<br><a onclick='showAllBrands();'>More</a>, ";
						}
                    });
					window.shortBrandNames = brandNames.substring(0, brandNames.length - 2);
					window.fullBrandNames = window.fullBrandNames.substring(0, window.fullBrandNames.length - 2)
					window.fullBrandNames += "<br><a onclick='showFewBrands();'>Less</a>";
                } else if (i == 'Drug Class') {
                    $.each(data, function(i, sdata) {
                        drugClasses += "<a>" + sdata.title + "</a>, ";
                    });
                } else if (i == 'contributors') {} else if (i == 'reviewer_link') {} else if (i == 'title') {} else if (i == 'mode') {} else if (i == 'url') {} else if (i == 'uuid') {} else if (i == 'type') {} else if (i == 'Manufacturer') {
                    var local = '<ul>';
                    console.log(data);
                    $.each(data, function(i, sdata) {
                        local += "<li>" + sdata.title + "</li>";
                    });
                    local +='</ul>';
                    if (local != '') {
                        html += medDivCreate(i, local.substring(0, local.length - 2));
                    }
                } else if (i == 'Generic') {
                    var local = '';
                    $.each(data, function(i, sdata) {
                        var test = '';
                        returnSection(sdata.uuid);
                        local += "<a onclick='loadMedication(\"" + sdata.uuid + "\")'>" + sdata.title + "</a><div id='"+sdata.uuid + "section'></div>";
                    });
                    if (local != '') {
                        html += medDivCreate(i, local);
                    }
                } else if ((typeof data == "object") && (data !== null)) {

                    html += medDivCreate(i, data);
                    //;
                } else if (i == 'Warnings') if (data == null) {
                    warnings = "<div  id='warningInfo' class='rowInfo'><div class='infoLeft'>Warning</div><div class='infoRight'>There are no Warnings available</div><div style='clear:both;'></div></div>";
                } else {
                    warnings = "<div  id='warningInfo' class='rowInfo'><div class='infoLeft'>Warning</div><div class='infoRight'><a onclick='medScroll.scrollToItem(\"#FDAWarning\");$(\"#FDAWarningMed\").show();'>Show FDA Warning</a></div><div style='clear:both;'></div></div>";
                    warnSection = medDivCreate('FDA Warning', data);

                } else {
                    html += medDivCreate(i, data);
                }
            });
        } else if (i == 'Pearls' && data != null) {
            pearls = medDivCreate('Quick Facts', data);
        } else if (i == 'title') {
            title = "<div id='medTitleSection'>" + data + "</div>";
        } else if (i == 'precautions_tax') {
            $.each(data, function(i, sdata) {
                var imageUrl = 'images/precautions' + sdata.term_image[0].thumbnail.substring(77, sdata.term_image[0].thumbnail.length).toLowerCase();
                precautions += "<div class='precaution'><img style='width:95%;padding:2px;' src='" + imageUrl + "' /></div>";
            });
        }
    });
    if (brandNames == '') {} else {
        brandNames = "<div  id='brandInfo' class='rowInfo'><div class='infoLeft'>Brand Names</div><div class='infoRight'>" + window.shortBrandNames + "</div><div style='clear:both;'></div></div>";
    }
    if (drugClasses == '') {} else {
        drugClasses = "<div  id='classInfo' class='rowInfo'><div class='infoLeft'>Classes</div><div class='infoRight'>" + drugClasses.substring(0, drugClasses.length - 2) + "</div><div style='clear:both;'></div></div>";
    }
    if (precautions == '') {} else {
        precautions = "<div class='rowInfo'><div id='precautionTitle'>Precautions</div>" + precautions + "</div>";
    }
    var infobox = "<div id='infoBox'>" + brandNames + warnings + drugClasses + precautions + "<div style='clear:both;'></div></div>";
    html = title + infobox + pearls + html + warnSection;
    //add reviewer
    return html;
}

function showAllBrands(){
	$("#brandInfo .infoRight").html(window.fullBrandNames);
}

function showFewBrands(){
	scrollTopMed();
	$("#brandInfo .infoRight").html(window.shortBrandNames);
}

function medDivCreate(title, data) {
if (title != 'Related Clinical Trials'){

    if (title != 'Generic' && title != 'BrandName') {
        data = data.replace(/\<a\s[^\>]+\>/g, '');
        data = data.replace(/\<\/a\>/g, '');
        data = data.replace(/\<a\>/g, '');
    }
    html = "<div class='medSections'><div id='" + title.replace(/\s/g, "") + "' onclick='toggleMedSections(\"#" + title.replace(/\s/g, "") + "Med\")'  class='sectionHead'>" + title + "</div><div id='" + title.replace(/\s/g, "") + "Med' class='medSubSection'>" + data + "</div></div>";
    return html;}
    else{
        return '';
    }
}

function toggleMedSections(div) {
    jQuery(div).toggle();
    sectionHead = div.substring(0, div.length - 3);
    if ($(sectionHead).hasClass('open')) {
        $(sectionHead).removeClass('open')
    } else {
        $(sectionHead).addClass('open');
    }
}

function loadMedpages(letter) {
    $('#loadingSpinner').show();
    if (letter == '-') {
		//charlie
        //loadMeds('0');
        loadNumberedMeds();
    } else {
        letter = letter.innerText;
        $.ajax({
            url: "http://www.rxwiki.com/frag/atoz/submenu/" + letter,
            success: function(sjson) {
                var rsq2 = new RegExp('&#124', "g");
                var ljson = sjson.replace(rsq2, '');
                var rsq3 = new RegExp(';', "g");
                ljson = ljson.replace(rsq3, '');
                $('#medContainer2').html(ljson);
            },
            error: function(XMLHttpRequest, textStatus, errorThrown) {
                $('#loadingSpinner').hide();
            },
            complete: function(sjson) {
                $('#medContainer2 a').addClass('medABC');
                $('#medContainer2 a').attr('style', '');
                $('#medContainer2 a').attr('href', '');
                $('#medContainer2 a').attr('onclick', 'loadMeds(this)');
                $('#loadingSpinner').hide();
                $.ui.loadContent('#subMedications', false, false, 'slide');
            }
        });
    }
}
function returnSection(uuid){
    var html='';
        $.ajax({
            url: "http://rxwiki.com/frag/mobile/node/" + uuid,
            contentType: "application/json",
            dataType: "json",
            beforeSend: function(x) {
                if (x && x.overrideMimeType) {
                    x.overrideMimeType("application/j-son;charset=UTF-8");
                }
            },
            success: function(sjson) {
                window.testing = sjson;
                $.each(sjson.Items[0].sections, function (i, sdata){
                    if (sdata !=null && i != 'Related Clinical Trials' && i != 'title'){
                        console.log(i);
                        html += "<li onclick='loadMedication(\""+ uuid + '\",\"' + i.replace(/\s/g, "") + "\");'><a style='font-size:15px'>"+i+"</a></li>";
                    }
                });
            },
            error: function(XMLHttpRequest, textStatus, errorThrown) {
                return '';
            },
            complete: function(sjson) {
                console.log(html);
                $('#'+uuid+'section').html(html);
                panelHistory.refreshItems($('#medication').attr('data-udid'));
            }
        });
}
