function surveyObj(code, age, mf, ttl, t, date, dname, cloudObj){
	this.html = code;
	this.age = age;
	this.gender = mf;
	this.title = ttl;
	this.surveyType = t;
	this.date = date;
	this.dname = dname;
	this.cloudObj = cloudObj;
}

function toggleShareMenu(){
	if((window.callos == 'android')){
		$('#saveMenu').toggle();
	}
	else{
		jQuery('#iosSaveMenu').slideToggle();
	}
}

function showShareMenu(){
	if((window.callos == 'android')){
		$('#saveMenu').show();
	} else{
		jQuery('#iosSaveMenu').slideDown();
	}
}

function toggleShareMenuMyList(){
	if((window.callos == 'android')){
		$('#saveMenuMyList').toggle();
	}
	else{
		jQuery('#iosSaveMenuMyList').slideToggle();
	}
}

function showShareMenuMyList(){
	if((window.callos == 'android')){
		$('#saveMenuMyList').show();
	} else{
		jQuery('#iosSaveMenuMyList').slideDown();
	}
}

function hideShareMenu(){
	$('#saveMenu').hide();
	$('#saveMenuMyList').hide();
	jQuery('#iosSaveMenu').hide();
	jQuery('#iosSaveMenuMyList').hide();
}

function shareCloud(){
	var standard = window.appName[window.appType]["standard"];
	AppMobi.notification.confirm("If you transmit and store confidential health information to cloud storage, " + standard + " cannot safeguard your privacy.  Please choose and use secure cloud storage services.", 'shareCloudPop', "", "Okay", "Cancel");
}

function shareEmail(){
	var standard = window.appName[window.appType]["standard"];
	AppMobi.notification.confirm("If you transmit confidential health information via email, " + standard + " cannot safeguard your privacy.  Please choose and use secure email services.", 'shareEmailPop', "", "Okay", "Cancel");
}

function shareCloudMyList(){
	AppMobi.notification.confirm("If you transmit and store confidential health information to cloud storage, " + window.appName[window.appType]["standard"] + " cannot safeguard your privacy.  Please choose and use secure cloud storage services.", 'shareCloudPopMyList', "", "Okay", "Cancel");
}

function shareEmailMyList(){
	AppMobi.notification.confirm("If you transmit confidential health information via email, " + window.appName[window.appType]["standard"] + " cannot safeguard your privacy.  Please choose and use secure email services.", 'shareEmailPopMyList', "", "Okay", "Cancel");
}

function noCloudAppsCallback(e){
	AppMobi.notification.alert("You do not have any compatible cloud storage apps. To utilize this feature, download a cloud storage app.", "No Cloud Apps", "OK");
}

function shareSurvey(action) {
	var standard = window.appName[window.appType]["standard"];
	var lower = window.appName[window.appType]["lower"];
	imhServiceRequest('POST', encounterObj.current_question.links.report, defaultReportInfo(1), function(data) {
		console.log(data);
		console.log(data.Report.Data);
		var x = JSON.parse(data.Report.Data);
		console.log(x);
		$("#loadingSpinner").hide();
		if (validateImhReportObject(data)) {
			encounterObj.show_report = true;
			encounterObj.report_data = data.Report.Data;
			surveyScroller.scrollTo({x:0,y:0});

			var now = new Date();
			//Title is what the set of results will be listed as
			var title = encounterObj.dname.toLowerCase()+"-" + (now.getMonth()+1) + "_" + now.getDate() + "_" + now.getFullYear();

			title = title.replace(/\s/g, "_");
			title = title.replace(/[\000-\039]|[\177-\uffff]/g, "");
			var cloudObj = {
				'title' : title,
				'brand' : window.appType,
				'survey' : encounterObj.dname,
				'content' :  data.Report.Data,
				'action' : action,
				//'emailCopy' : "You have chosen to share your survey results via email. The results are attached to this message.\n\nIf you did not request this message, please let us know by contacting info@RxWiki.com. \n\nSincerely, \n- The RxWiki Team",
				'emailCopy' : "Attached to this email are the results of a Visit Prep patient interview powered by " + standard + ". For more information on these results and how they were collected, please visit:\n\nhttp://www." + lower + ".com/about-us/instant-medical-history\n\nPlease exercise discretion with the attached report, as it may contain sensitive or confidential health information.\n\nThank you,\nThe " + standard + " Team",
				//'subject' : "Your questionnaire results"
				'subject' : "Visit Prep interview results"
			}
			try {
				MyPlugin.worker.saveToCloud(JSON.stringify(cloudObj));
				window.savePop=0;
			} catch(err) {
				console.log("MyPlugin not defined");
				//AppMobi.notification.alert("Plugin failed", "Error");
			}
		}
	});
}

function shareSurveyMyList(action){
	//console.log("Sharing to " + action + "from My List");
	var cloudObj = window.listShareData;
	cloudObj.action = action;
	//console.log(cloudObj);
	MyPlugin.worker.saveToCloud(JSON.stringify(cloudObj));
}

function nameSurvey(){
	var div = '#pre-refill-page1';

	var now = new Date();
	var months = Array("Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec");
	var title = encounterObj.dname;
	var innerHTML = '<div id="coverall" style="position:absolute;z-index:1;top:0%;left:0px;width:100%;height:100%;background-color:rgba(0,0,0,.5);" >';
	//Container
	innerHTML += '<div id="alert" style="position:relative;margin-left:auto;margin-right:auto;width:275px;top:20%;z-index:2;border-radius:20px;background-color:#FFF;" >';
	innerHTML += '<p style="padding:15px;text-align:center;font-size:14pt;line-height:15pt;">Please enter a title for your questionnaire.';
	innerHTML += '<br><br>'
	innerHTML += '<input type="text" style="align:center;line-height:24px;font-size:22px;max-width:250px" id="surveyNameField" ></input>';
	innerHTML += '<br>';
	innerHTML += '<br>';
	//innerHTML += '<a class="specialBlueButton" onclick="storeSurvey($(\'#surveyNameField\').val());$(\'#coverall\').remove();">Save</a>';
	innerHTML += '<a class="specialBlueButton" onclick="getShareString($(\'#surveyNameField\').val());$(\'#coverall\').remove();">Save</a>';
	innerHTML += '<br>';
	innerHTML += '<a class="specialBlueButton" onclick="$(\'#coverall\').remove();">Cancel</a>';
	innerHTML += '</p>';
	innerHTML += '</div></div>'; //Close coverall and alert
	$(div).append(innerHTML);
}


function getShareString(surveyTitle) {
	var standard = window.appName[window.appType]["standard"];
	var lower = window.appName[window.appType]["lower"];

	imhServiceRequest('POST', encounterObj.current_question.links.report, defaultReportInfo(1), function(data) {
		//console.log(data);
		$("#loadingSpinner").hide();
		if (validateImhReportObject(data)) {
			encounterObj.show_report = true;
			encounterObj.report_data = data.Report.Data;
			surveyScroller.scrollTo({x:0,y:0});

			var now = new Date();
			//Title is what the set of results will be listed as
			var title = encounterObj.dname.toLowerCase()+"-" + (now.getMonth()+1) + "_" + now.getDate() + "_" + now.getFullYear();

			title = title.replace(/\s/g, "_");
			title = title.replace(/[\000-\039]|[\177-\uffff]/g, "");
			var cloudObj = {
				'title' : title,
				'brand' : window.appType,
				'survey' : encounterObj.dname,		
				'content' :  data.Report.Data,
				'action' : "undetermined",
				//'emailCopy' : "You have chosen to share your survey results via email. The results are attached to this message.\n\nIf you did not request this message, please let us know by contacting info@RxWiki.com. \n\nSincerely, \n- The RxWiki Team",
				'emailCopy' : "Attached to this email are the results of a Visit Prep patient interview powered by " + standard + ". For more information on these results and how they were collected, please visit:\n\nhttp://www." + lower + ".com/about-us/instant-medical-history\n\nPlease exercise discretion with the attached report, as it may contain sensitive or confidential health information.\n\nThank you,\nThe " + standard + " Team",
				//'subject' : "Your questionnaire results"
				'subject' : "Visit Prep interview results"
			}
			storeSurvey(surveyTitle, cloudObj);
			}
	});
}

function storeSurvey(title, cloudObj) {
	//First prompt user to name the survey
	var surveyHTML = encodeURI(jQuery('#disp_question').html());
	//Title is what the set of results will be listed as
	var now = new Date();
	var months = Array("Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec");
	var doby = encounterObj.patient.DOBYear;
	var age = now.getFullYear() - doby;
	var mf = encounterObj.patient.Gender;
	var t = encounterObj.qname;
	var dateTaken = months[now.getMonth()] + " " + now.getDate() + ", " + now.getFullYear();

	var survey = new surveyObj(surveyHTML, age, mf, title, t, dateTaken, encounterObj.dname, cloudObj);

	//Look for the list of stored surveys
	var existing = localStorage.getItem('storedSurveys'+window.appType);
	if(existing == undefined){
		existing = new Array(survey);
	} else {
		//Otherwise, parse it and push the new survey on to the front
		existing = JSON.parse(existing);
		existing.unshift(survey);
	}
	localStorage.setItem('storedSurveys'+window.appType, JSON.stringify(existing));
	window.savePop=0;
	$.ui.loadContent('combinedSurvey',false,false,'slide');
	switchSaved();
}


//data-load function for list
function loadSurveyList() {
	$("#editButton").html("Edit");
	var existing = localStorage.getItem('storedSurveys'+window.appType);
	existing = JSON.parse(existing);
	//Used to track program state in delete/edit mode
	window.surveyEdit = 0;
	if((existing == undefined)||(existing.length==0)){
		$("#savedSurveysDiv").html('<p style="color:#007dfb;font-size:16px;font-weight:bold;line-height:20px;margin-top:20px;text-align:center;">You have not saved any questionnaires.  When you save a questionnaire to My List, it will be available here.</p>');
	} else {
		buildList(existing)
	}
}

function buildList(existing){
	var items = "";
	for(var i = 0; i < existing.length; i++){
		//Display articles
		var title = existing[i].title;
		var date = existing[i].date;
		var dname = existing[i].dname;
		if(title == ""){
			title = "-";
		}
		
		items += '<li id="' + i + '"> <div id="fullLink" onclick="renderSurvey(' + i + ');"> <div id="fullLink-arrow" ></div> <p style="padding-top:15px">' + dname + '</p><p>' + title + '</p><p style="color:#696969;"> '+ date +' </p></div> </li>';

	}
	$("#savedSurveysDiv").html(items);
}

function renderSurvey(i) {

	var existing = localStorage.getItem('storedSurveys'+window.appType);
	existing = JSON.parse(existing);
	var surveyContent = existing[i].html;
	window.listShareData = existing[i].cloudObj;
	surveyContent = decodeURI(surveyContent);

	$("#surveyText").html("");
	$("#surveyText").html(surveyContent);

	$.ui.loadContent("#surveyResult",false, false, "slide");

}

//***********************************
//Max's delete functions
//Copied from favorites.js in the branch designImprovements
//***********************************

//Allow user to select and delete multiple stories at once
function multDelete() {
    $('#blankDiv').remove();
    //surveyEdit === 0 => they clicked on the edit button, not the delete button
    if(window.surveyEdit === 0){
        window.surveyEdit = 1;  //Switch the flag
		$("#editButton").html("Cancel");

		var existing = localStorage.getItem('storedSurveys'+window.appType);
		existing = JSON.parse(existing);
		var items = "";
		for(var i = 0; i < existing.length; i++){
			//Display articles
			var title = existing[i].title;
			var date = existing[i].date;
			var dname = existing[i].dname;
			if(title == ""){
				title = "-";
			}
			
			items += '<li id="' + i + '" style="position:relative"> <div id="fullLink" style="background-image:none;"> <div id="fullLink-arrow" ></div> <p style="padding-top:15px">' + dname + '</p><p>' + title + '</p><p style="color:#696969;"> '+ date +' </p></div>';


			var delButton = '';
			if(window.callos == 'ios'){
				delButton += '<a id="deleteButton" class="buttonRed ios7" onclick="javascript:surveyDelete(' + i + ', \'' + title + '\');">Delete </a>';
			} else {
				delButton += '<a id="deleteButton" class="buttonRed" onclick="javascript:surveyDelete(' + i + ', \'' + title + '\');">Delete </a>';
			}
		
			items += delButton + '</li>';
		}
		$("#savedSurveysDiv").html(items);
    } else if (window.surveyEdit === 1) {
		$("#editButton").html("Edit");
        window.surveyEdit = 0;
	   	loadSurveyList();
    }
}

function surveyDelete(id, title){

	window.globalDeleteId = id;
	//AppMobi.notification.confirm("Are you sure you want to delete this survey?", "surveyDeleteConfirm", "Delete Survey", "Yes", "No");
	if((title != undefined) && (title != "-")){
		AppMobi.notification.confirm("Are you sure you want to delete \"" + title + "\" from your saved surveys?", "surveyDeleteConfirm", "Delete Survey", "Yes", "No");
	} else {
		AppMobi.notification.confirm("Are you sure you want to delete this survey?", "surveyDeleteConfirm", "Delete Favorite", "Yes", "No");
	}
}

function deleteConfirm(id){
	var existing = localStorage.getItem('storedSurveys'+window.appType);
	existing = JSON.parse(existing);
	existing.splice(id,1);
	localStorage.setItem('storedSurveys'+window.appType, JSON.stringify(existing));
	loadSurveyList();
	multDelete();
}

function deleteAllSurveys(){
	var existing = localStorage.getItem('storedSurveys'+window.appType);
	existing = JSON.parse(existing);
	for(var i = 0; i++; i<existing.length){
		surveyDelete(i);
	}
}


//Depends on hammer.js
//Add the swipe event handler to the list
/*
function swipeDelete() {
    //Remove any existing handlers
    $('#favoritesList').off('swipeLeft swipeRight click');

    //Create a blank div.  This will be hidden, but if the user swipes to delete, the div
    //will be brought to the front, allowing the user to click anywhere to clear the delete button
	//Still green Green
	var blank = '<div id="blankDiv" style="position:absolute;z-index:1;top:0px;left:0px;width:100%;height:100%;background-color:rgba(0,255,0,.25);"></div>';

    //Append the blank div, if it isn't there already
	if(!($('#blankDiv').length)){ $('#favoritesContainer').append(blank);}
    $('#blankDiv').hide();

	$('#favoritesList').on('swipeLeft swipeRight', 'li', function(){
	    $('#blankDiv').show();
	    $(this).off('swipeLeft swipeRight');
		var id = $(this).attr('id');

		var image = $(this).find('img')[0];
        image = $(image).attr('src');

        var title = $(this).find('p')[0];
        title = $(title).text();

        //Recreate a phony story entry that won't actually link to the story.
        //This way the user can click anywhere on the story and it will trigger
        //the click event and check the box, rather than follow the link to the story.

		temp = '<div id="fakeLink"><a onclick=""><img src=' + image + '><p>'+ title + '</p></img></div><img id="deleteButton" style="position:absolute;z-index:2;" src="images/favorites/red_delete.png"></a>';

		$(this).html(temp);

		//Create additional handlers
	}).on('click','#deleteButton', function() {
	    $('#blankDiv').remove();
		//Find the "ancestor li element"
    	var $li = $(this).closest('li');
		//Remove it from the favorites list
    	favDelete($li);
		//Remove it from the view
    	$li.remove();
	});

	$('#blankDiv').click(function() {
	    $('#blankDiv').remove();
    	loadFavorites();
	});

}
//*/

//***********************************
//End Max's delete functions
//***********************************




//data-unload for list
function leaveSurveyList() {
	console.log("Bye bye");
}

//data-load for survey page
function surveyDisplay() {
	console.log("Displaying survey");
}

//data-unload for survey page
function surveyLeave() {
	console.log("Leaving survey view");
}
